Sync with portage [Thu Nov 7 21:22:29 MSK 2013].

mhiretskiy
root 11 years ago
parent 69b9d2b8a7
commit 9e809522f1

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/r10k/r10k-1.1.0.ebuild,v 1.1 2013/10/07 19:40:59 vikraman Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/r10k/r10k-1.1.0.ebuild,v 1.2 2013/11/07 13:03:17 vikraman Exp $
EAPI=5
@ -17,6 +17,7 @@ HOMEPAGE="http://github.com/adrienthebo/r10k"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="git"
ruby_add_bdepend "test? ( =dev-ruby/rspec-2.14* )"
@ -28,6 +29,8 @@ ruby_add_rdepend "
>=dev-ruby/log4r-1.1.10
dev-ruby/json"
RDEPEND="${RDEPEND} git? ( >=dev-vcs/git-1.6.6 )"
all_ruby_prepare() {
sed -i 's/json_pure/json/' "${WORKDIR}/all/metadata" || die "metadata fix failed"
}

@ -1,2 +1,3 @@
DIST elfix-0.8.1.tar.gz 366485 SHA256 6bdb6bebbfe45aff36351fadcba7077e42b24096218f60c64e3fb42c73bc2673 SHA512 5c0d5d9ae93961ec39915fe5310f385be0bf2a8f01b513565ba077294139397fea05b22032afbc9da68be6847b46ff330d98b912d68bb6ba06857219a65cc29a WHIRLPOOL 0d69412dc694b3142f47df03265280d4e8f87f9b4fcde82976d5abf818e2a46899a0e80a9c08e51b89513457d1fd19b3c0e08b09d80d53f5909d66034d8e85ac
DIST elfix-0.8.3.tar.gz 369719 SHA256 b2ac841e9c9681f421dd8d3a99d33c78a4cfb69215f3234ca0c7edab73c12456 SHA512 ba16670e632fda552f2de2e6dfd0b46c93c7f9be321671433261d25e0b11a4cf2bf774ce6d5153ec7763c776b6188d56f8c17d027c697aed5185722da617e530 WHIRLPOOL 31c39670d465806595bf8ac340d485a422659cf9e6e2e7a7bd8eec40513fbfffcb939f632f98738156f5f0f177a659f3792dda1df0f385233a6ce8e02253d5fd
DIST elfix-0.8.4.tar.gz 374742 SHA256 374be66da3dddef485bbb5e95bfcab6fd0c2db478255bddd10079730ada5260b SHA512 10aacc3fff33c934e2d4487d174a2b0cec10ffb7a35fc72b160c786f82f0355f3a2dea716bc7fb929d2919cc32a26844f37f9d73064b755098bdaa72e8075bda WHIRLPOOL b04e099f188c0b76d8c07abd76559c1313854aa83a03ad69afb72674d93cde6ce538ae10d0fea3be5495937e72a4b98fdd36efbb2e3aa8ff23c1d9f7f943c1ae

@ -0,0 +1,36 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pypax/pypax-0.8.4.ebuild,v 1.1 2013/11/07 15:18:56 blueness Exp $
EAPI="5"
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
HOMEPAGE="http://dev.gentoo.org/~blueness/elfix/
http://www.gentoo.org/proj/en/hardened/pax-quickstart.xml"
SRC_URI="http://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
S="${WORKDIR}/elfix-${PV}/scripts"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="+ptpax +xtpax"
REQUIRED_USE="|| ( ptpax xtpax )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
ptpax? ( dev-libs/elfutils )
xtpax? ( sys-apps/attr )"
RDEPEND=""
src_compile() {
unset PTPAX
unset XTPAX
use ptpax && export PTPAX="yes"
use xtpax && export XTPAX="yes"
}

@ -0,0 +1 @@
DIST aaphoto-0.43.1.tar.gz 135261 SHA256 35a21d075d297872e35f52c9e92ab8e7ee403f5ecf4927634f22b56bb401b5ca SHA512 272a949051cd7efbb092d5d115100376ffe17012b6d02d68b5b8251b75ebab3449b2f5c889aac60a3790c20137ffc4ea69452751d04a8e65c0cb39af84e1034d WHIRLPOOL bebf332bf7eeb711c34740acc78c02a285aac291d49fdc13526e86f6f1ae01c6ccac142abbbf5ed5842cf349fc56758071034f8714734f5053eccf59682d020c

@ -0,0 +1,32 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/aaphoto/aaphoto-0.43.1.ebuild,v 1.1 2013/11/07 10:45:11 pinkbyte Exp $
EAPI=5
AUTOTOOLS_AUTORECONF=1
AM_OPTS="--force-missing" # overwrite old 'missing' script
inherit autotools-utils
DESCRIPTION="Automatic color correction and resizing of photos"
HOMEPAGE="http://log69.com/aaphoto.html http://github.com/log69/aaphoto"
SRC_URI="http://github.com/log69/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="media-libs/jasper[jpeg]
media-libs/libpng:0=
sys-libs/zlib
virtual/jpeg:0"
DEPEND="${RDEPEND}"
pkg_setup() {
if [[ ${MERGE_TYPE} != binary ]]; then
[[ $(gcc-major-version) -lt 4 ]] || \
( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 2 ]] ) \
&& die "Sorry, but gcc 4.2 or higher is required"
tc-has-openmp || die "Please switch to an openmp compatible compiler"
fi
}

@ -0,0 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>proxy-maintainers</herd>
<maintainer>
<email>erkiferenc@gmail.com</email>
<name>Ferenc Erki</name>
<description>Maintainer. Assign bugs to him</description>
</maintainer>
</pkgmetadata>

@ -7,3 +7,4 @@ DIST nvidia-settings-319.32.tar.bz2 1536552 SHA256 bc29e5b1b92a3ffe42c93e1cb8830
DIST nvidia-settings-319.60.tar.bz2 1538036 SHA256 7391d0f2518f80de0e4531004251a7c042169f89b608814a3fe7831065be9fd5 SHA512 3fe764bad08a2b00bfc99b74f248f5d12cb32cb964694c2c0416a710695dbdf1f3432e16996d40d3a3c77a5b489af59a0f1cf07dd6f537f4d551cc4b87c3571a WHIRLPOOL 2b2e5d97a4f92684c184061885fca1a9af9a211a1c02d1d482f94a66eebfa15e014bc2719e73f060ccabe6fb6ac2826ea757d98efcdf988f33f02379e4b91cd4
DIST nvidia-settings-325.15.tar.bz2 1541319 SHA256 e7dabddf1240bcbe2990a470defba480d619cd97fa1c0ef4e28653c689be0b03 SHA512 ccb5808fcd2d34cb7fb6cdb2e081bbebb3ced5d53c296cabac76685e6612faffc20609a6e4cdbd4170a3a72b3487f8520df799342004914a42b8dfb69d8d5fc0 WHIRLPOOL 8ad4be1357358c0e7ac6cdf4247f216ac7598f804ec74285a3fe02f51a41cc35742d043dc56feee82bb2099e598a1a13eb2d1a7bab8c72e922aee495b017f34e
DIST nvidia-settings-331.17.tar.bz2 1545118 SHA256 848387ea728668fbbed8e22e8c12ccdf5be027e6b204c813df064ee5d5ffee8f SHA512 2ba101627f18b59f7931e3be9fed8167241c10abd2c82c467d619be7ad535c376d0cc37a7b55b446f5e3b0d978b47c3e9e04f51fb30bb243f62c9eb860999097 WHIRLPOOL 51ac0ec1177f9cb4ecaedf6de4ac87c1fba56857ac12770d54ea3fd8370edef40a47da9e57b0ed4af7b05acba0d1cf38daaffbc31dd6bee0d0d8de9ec8aaa0ee
DIST nvidia-settings-331.20.tar.bz2 1544551 SHA256 229ead42dfc43627797bd0317ac3320aeaf97426a975325986aa91d28fa7a7f0 SHA512 e2a4f4171a6b989ddd89ec606d7a9de20ada84116e004e8febf6feec683ecf5f2a02d47505336ca6224bcb235b9aa38053e8998ea02e15ee6ee930e518e197e6 WHIRLPOOL c3d4e73cb9892ecb49d1d802b9178d4636a02bc2eace93ec202041c6c798d74199ab565608e7fc99f4be122843dcd4532397ab0b53059818daf1ae78922c925f

@ -0,0 +1,81 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/nvidia-settings/nvidia-settings-331.20.ebuild,v 1.1 2013/11/07 11:15:34 jlec Exp $
EAPI=5
inherit eutils multilib toolchain-funcs
DESCRIPTION="NVIDIA Linux X11 Settings Utility"
HOMEPAGE="http://www.nvidia.com/"
SRC_URI="ftp://download.nvidia.com/XFree86/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
IUSE="examples"
COMMON_DEPEND="x11-libs/libX11
x11-libs/libXext
x11-libs/libXxf86vm
x11-libs/gtk+:2
x11-libs/gdk-pixbuf[X]
media-libs/mesa
x11-libs/pango[X]
x11-libs/libXv
x11-libs/libXrandr
dev-libs/glib:2
dev-libs/jansson"
RDEPEND="=x11-drivers/nvidia-drivers-3*
${COMMON_DEPEND}
x11-libs/libvdpau"
DEPEND="${RDEPEND}
virtual/pkgconfig
x11-proto/xproto"
src_prepare() {
epatch "${FILESDIR}"/${PN}-319.12-jansson.patch
}
src_compile() {
einfo "Building libXNVCtrl..."
emake -C src/libXNVCtrl/ clean # NVidia ships pre-built archives :(
emake -C src/libXNVCtrl/ \
CC="$(tc-getCC)" \
AR="$(tc-getAR)" \
RANLIB="$(tc-getRANLIB)" \
libXNVCtrl.a
einfo "Building nvidia-settings..."
emake -C src/ \
CC="$(tc-getCC)" \
LD="$(tc-getLD)" \
STRIP_CMD="$(type -P true)" \
NV_VERBOSE=1 \
USE_EXTERNAL_JANSSON=1
}
src_install() {
emake -C src/ DESTDIR="${D}" PREFIX=/usr USE_EXTERNAL_JANSSON=1 install
insinto /usr/$(get_libdir)
doins src/libXNVCtrl/libXNVCtrl.a
insinto /usr/include/NVCtrl
doins src/libXNVCtrl/*.h
# doicon doc/${PN}.png # Installed through nvidia-drivers
make_desktop_entry ${PN} "NVIDIA X Server Settings" ${PN} Settings
# bug 412569 - Installed through nvidia-drivers
# rm -rf "${D}"/usr/share/man
dodoc doc/*.txt
if use examples; then
docinto examples/
dodoc samples/*.c
dodoc samples/README
fi
}

@ -1 +1 @@
Thu, 07 Nov 2013 10:36:59 +0000
Thu, 07 Nov 2013 16:06:59 +0000

@ -1 +1 @@
Thu, 07 Nov 2013 10:36:59 +0000
Thu, 07 Nov 2013 16:07:00 +0000

@ -3,12 +3,12 @@ DEPEND=ruby_targets_ruby18? ( test? ( =dev-ruby/rspec-2.14*[ruby_targets_ruby18]
DESCRIPTION=Puppet environment and module deployment
EAPI=5
HOMEPAGE=http://github.com/adrienthebo/r10k
IUSE=test elibc_FreeBSD ruby_targets_ruby18 ruby_targets_ruby19 test test
IUSE=git test elibc_FreeBSD ruby_targets_ruby18 ruby_targets_ruby19 test test
KEYWORDS=~amd64 ~x86
LICENSE=Apache-2.0
RDEPEND=ruby_targets_ruby18? ( >=dev-ruby/colored-1.2[ruby_targets_ruby18] =dev-ruby/cri-2.4*[ruby_targets_ruby18] >=dev-ruby/systemu-2.5.2[ruby_targets_ruby18] <dev-ruby/systemu-2.6.0[ruby_targets_ruby18] >=dev-ruby/log4r-1.1.10[ruby_targets_ruby18] dev-ruby/json[ruby_targets_ruby18] ) ruby_targets_ruby19? ( >=dev-ruby/colored-1.2[ruby_targets_ruby19] =dev-ruby/cri-2.4*[ruby_targets_ruby19] >=dev-ruby/systemu-2.5.2[ruby_targets_ruby19] <dev-ruby/systemu-2.6.0[ruby_targets_ruby19] >=dev-ruby/log4r-1.1.10[ruby_targets_ruby19] dev-ruby/json[ruby_targets_ruby19] ) ruby_targets_ruby18? ( dev-lang/ruby:1.8 ) ruby_targets_ruby19? ( dev-lang/ruby:1.9 ) ruby_targets_ruby18? ( virtual/rubygems[ruby_targets_ruby18] ) ruby_targets_ruby19? ( virtual/rubygems[ruby_targets_ruby19] )
RDEPEND=ruby_targets_ruby18? ( >=dev-ruby/colored-1.2[ruby_targets_ruby18] =dev-ruby/cri-2.4*[ruby_targets_ruby18] >=dev-ruby/systemu-2.5.2[ruby_targets_ruby18] <dev-ruby/systemu-2.6.0[ruby_targets_ruby18] >=dev-ruby/log4r-1.1.10[ruby_targets_ruby18] dev-ruby/json[ruby_targets_ruby18] ) ruby_targets_ruby19? ( >=dev-ruby/colored-1.2[ruby_targets_ruby19] =dev-ruby/cri-2.4*[ruby_targets_ruby19] >=dev-ruby/systemu-2.5.2[ruby_targets_ruby19] <dev-ruby/systemu-2.6.0[ruby_targets_ruby19] >=dev-ruby/log4r-1.1.10[ruby_targets_ruby19] dev-ruby/json[ruby_targets_ruby19] ) git? ( >=dev-vcs/git-1.6.6 ) ruby_targets_ruby18? ( dev-lang/ruby:1.8 ) ruby_targets_ruby19? ( dev-lang/ruby:1.9 ) ruby_targets_ruby18? ( virtual/rubygems[ruby_targets_ruby18] ) ruby_targets_ruby19? ( virtual/rubygems[ruby_targets_ruby19] )
REQUIRED_USE=|| ( ruby_targets_ruby18 ruby_targets_ruby19 )
SLOT=0
SRC_URI=mirror://rubygems/r10k-1.1.0.gem
_eclasses_=eutils 4878e7f88afc0ba0866ac112190b0fd4 java-utils-2 8d0d93b7a8605ea346cce4604f6db516 multilib 892e597faee02a5b94eb02ab512e7622 ruby-fakegem 6e366daedf25d7020291916549562bbf ruby-ng 69c01a1b984ed066bc91b4397b002f6a toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28 versionator 6601b4c5b3f019a993db59a50e1854e4
_md5_=66f3ebde244f6482e54016307eaedc71
_md5_=83b59c174bdf19cedccc45eb5a649283

@ -0,0 +1,14 @@
DEFINED_PHASES=compile configure install prepare test
DEPEND=dev-python/setuptools[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)] ptpax? ( dev-libs/elfutils ) xtpax? ( sys-apps/attr ) userland_GNU? ( >=sys-apps/coreutils-8.5 ) python_targets_python2_6? ( >=dev-lang/python-2.6.8-r3:2.6 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_2? ( >=dev-lang/python-3.2.5-r2:3.2 ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_pypy2_0? ( >=virtual/pypy-2.0.2:2.0 ) dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]
DESCRIPTION=Python module to get or set either PT_PAX and/or XATTR_PAX flags
EAPI=5
HOMEPAGE=http://dev.gentoo.org/~blueness/elfix/ http://www.gentoo.org/proj/en/hardened/pax-quickstart.xml
IUSE=+ptpax +xtpax python_targets_python2_6 python_targets_python2_7 python_targets_python3_2 python_targets_python3_3 python_targets_pypy2_0
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
LICENSE=GPL-3
RDEPEND=python_targets_python2_6? ( >=dev-lang/python-2.6.8-r3:2.6 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_2? ( >=dev-lang/python-3.2.5-r2:3.2 ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_pypy2_0? ( >=virtual/pypy-2.0.2:2.0 ) dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_targets_python3_2(-)?,python_targets_python3_3(-)?,python_targets_pypy2_0(-)?,-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)]
REQUIRED_USE=|| ( ptpax xtpax ) || ( python_targets_python2_6 python_targets_python2_7 python_targets_python3_2 python_targets_python3_3 python_targets_pypy2_0 )
SLOT=0
SRC_URI=http://dev.gentoo.org/~blueness/elfix/elfix-0.8.4.tar.gz
_eclasses_=distutils-r1 26fe65665d086911163d4502473bd093 eutils 4878e7f88afc0ba0866ac112190b0fd4 multibuild 56d4120419072116417e8de1bd1040ff multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e python-r1 b81583006559e9b008883355c9889e29 python-utils-r1 49ee0ca5e1019d8f256a23692dad2642 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=fbf84a023a48cba34a59ae3c50d323a1

@ -0,0 +1,12 @@
DEFINED_PHASES=compile configure install prepare setup test
DEPEND=media-libs/jasper[jpeg] media-libs/libpng:0= sys-libs/zlib virtual/jpeg:0 || ( >=sys-devel/automake-1.12:1.12 >=sys-devel/automake-1.13:1.13 ) >=sys-devel/autoconf-2.68 sys-devel/libtool
DESCRIPTION=Automatic color correction and resizing of photos
EAPI=5
HOMEPAGE=http://log69.com/aaphoto.html http://github.com/log69/aaphoto
KEYWORDS=~amd64 ~x86
LICENSE=GPL-3
RDEPEND=media-libs/jasper[jpeg] media-libs/libpng:0= sys-libs/zlib virtual/jpeg:0
SLOT=0
SRC_URI=http://github.com/log69/aaphoto/archive/v0.43.1.tar.gz -> aaphoto-0.43.1.tar.gz
_eclasses_=autotools 16761a2f972abd686713e5967ff3c754 autotools-utils 5f912199ed4fdfb0bfbde29c7ac7dbdb eutils 4878e7f88afc0ba0866ac112190b0fd4 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=41549d8df2211df8b3242a77f463479b

@ -0,0 +1,13 @@
DEFINED_PHASES=compile install prepare
DEPEND==x11-drivers/nvidia-drivers-3* x11-libs/libX11 x11-libs/libXext x11-libs/libXxf86vm x11-libs/gtk+:2 x11-libs/gdk-pixbuf[X] media-libs/mesa x11-libs/pango[X] x11-libs/libXv x11-libs/libXrandr dev-libs/glib:2 dev-libs/jansson x11-libs/libvdpau virtual/pkgconfig x11-proto/xproto
DESCRIPTION=NVIDIA Linux X11 Settings Utility
EAPI=5
HOMEPAGE=http://www.nvidia.com/
IUSE=examples
KEYWORDS=-* ~amd64 ~x86 ~x86-fbsd
LICENSE=GPL-2
RDEPEND==x11-drivers/nvidia-drivers-3* x11-libs/libX11 x11-libs/libXext x11-libs/libXxf86vm x11-libs/gtk+:2 x11-libs/gdk-pixbuf[X] media-libs/mesa x11-libs/pango[X] x11-libs/libXv x11-libs/libXrandr dev-libs/glib:2 dev-libs/jansson x11-libs/libvdpau
SLOT=0
SRC_URI=ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-331.20.tar.bz2
_eclasses_=eutils 4878e7f88afc0ba0866ac112190b0fd4 multilib 892e597faee02a5b94eb02ab512e7622 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=d88416cb7ea7c190758d0f9b35d46f82

@ -1,10 +1,10 @@
DEFINED_PHASES=compile install
DESCRIPTION=A handy shell-like interface for browsing LDAP servers and editing their content.
EAPI=3
EAPI=5
HOMEPAGE=http://projects.martini.nu/shelldap/
KEYWORDS=~amd64 ~x86
LICENSE=BSD
RDEPEND=dev-perl/Algorithm-Diff dev-perl/perl-ldap dev-perl/TermReadKey dev-perl/Term-ReadLine-Gnu dev-perl/Term-Shell dev-perl/YAML-Syck virtual/perl-Digest-MD5
SLOT=0
SRC_URI=http://code.martini.nu/shelldap/archive/d703cba056e3.tar.bz2 -> shelldap-0.4.tar.bz2
_md5_=7e23d4d3590e629feffe36474ff5a910
SRC_URI=http://code.martini.nu/shelldap/archive/1.0.2.tar.bz2 -> shelldap-1.0.2.tar.bz2
_md5_=d9a9b01600a3b5f242f98923056a0cee

@ -0,0 +1,15 @@
DEFINED_PHASES=compile install prepare setup
DEPEND=python_single_target_python2_6? ( >=dev-lang/python-2.6.8-r3:2.6[ssl,tk] ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[ssl,tk] ) dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] dev-lang/tk[threads] dev-python/numpy[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] dev-tcltk/tix =sci-libs/ccpn-data-2.3.1*[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] sci-biology/psipred x11-libs/libXext x11-libs/libX11 opengl? ( media-libs/freeglut dev-python/pyglet[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] )
DESCRIPTION=The Collaborative Computing Project for NMR
EAPI=5
HOMEPAGE=http://www.ccpn.ac.uk/ccpn
IUSE=+opengl python_targets_python2_6 python_targets_python2_7 python_single_target_python2_6 python_single_target_python2_7
KEYWORDS=~amd64 ~x86 ~amd64-linux ~x86-linux
LICENSE=|| ( CCPN LGPL-2.1 )
RDEPEND=python_single_target_python2_6? ( >=dev-lang/python-2.6.8-r3:2.6[ssl,tk] ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[ssl,tk] ) dev-lang/python-exec:=[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] dev-lang/tk[threads] dev-python/numpy[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] dev-tcltk/tix =sci-libs/ccpn-data-2.3.1*[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] sci-biology/psipred x11-libs/libXext x11-libs/libX11 opengl? ( media-libs/freeglut dev-python/pyglet[python_targets_python2_6(-)?,python_targets_python2_7(-)?,python_single_target_python2_6(+)?,python_single_target_python2_7(+)?] )
REQUIRED_USE=python_single_target_python2_6? ( python_targets_python2_6 ) python_single_target_python2_7? ( python_targets_python2_7 ) ^^ ( python_single_target_python2_6 python_single_target_python2_7 )
RESTRICT=mirror
SLOT=0
SRC_URI=http://www-old.ccpn.ac.uk/download/ccpnmr/analysis2.3.1r2.tar.gz http://dev.gentoo.org/~jlec/distfiles/ccpn-update-2.3.1-131107.patch.xz
_eclasses_=eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 multilib 892e597faee02a5b94eb02ab512e7622 portability 536c5e70c5fb252ed3b769e04aa3f05b python-single-r1 4d9f916e821994a2ccdbbcfc8ac225c9 python-utils-r1 49ee0ca5e1019d8f256a23692dad2642 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28 versionator 6601b4c5b3f019a993db59a50e1854e4
_md5_=99462ba8618d03408d72ad93edb06dd4

@ -0,0 +1,14 @@
DEFINED_PHASES=configure install
DEPEND=~dev-python/pypax-0.8.4[ptpax=,xtpax=] ptpax? ( dev-libs/elfutils ) xtpax? ( sys-apps/attr )
DESCRIPTION=A suite of tools to work with ELF objects on Hardened Gentoo.
EAPI=5
HOMEPAGE=http://www.gentoo.org/proj/en/hardened/pax-quickstart.xml http://dev.gentoo.org/~blueness/elfix/
IUSE=+ptpax +xtpax
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
LICENSE=GPL-3
RDEPEND=~dev-python/pypax-0.8.4[ptpax=,xtpax=] ptpax? ( dev-libs/elfutils ) xtpax? ( sys-apps/attr )
REQUIRED_USE=|| ( ptpax xtpax )
RESTRICT=test
SLOT=0
SRC_URI=http://dev.gentoo.org/~blueness/elfix/elfix-0.8.4.tar.gz
_md5_=e06b2b28f67a401171ad7a10c369124f

@ -0,0 +1,12 @@
DEFINED_PHASES=compile install prepare setup
DEPEND=sys-devel/make dev-lang/perl sys-libs/zlib iso? ( sys-boot/syslinux virtual/cdrtools )
DESCRIPTION=Open source network boot (PXE) firmware
EAPI=5
HOMEPAGE=http://ipxe.org
IUSE=iso +qemu undi usb vmware
KEYWORDS=~amd64 ~x86
LICENSE=GPL-2
SLOT=0
SRC_URI=https://git.ipxe.org/ipxe.git/snapshot/cba22d36b77da53890bd65fdadd0e63925687af0.tar.bz2 -> ipxe-1.0.0_p20130925-cba22d3.tar.bz2
_eclasses_=multilib 892e597faee02a5b94eb02ab512e7622 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953
_md5_=ab23d3aaac1e4799d04fa124b2fdd7d5

@ -1,12 +0,0 @@
DEFINED_PHASES=compile install postinst preinst setup unpack
DEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-apps/sed-4.0.5
DESCRIPTION=Paul Vixie's cron daemon, a fully featured crond implementation
HOMEPAGE=ftp://ftp.isc.org/isc/cron/
IUSE=selinux pam debug
KEYWORDS=alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd
LICENSE=ISC BSD-2 BSD
RDEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-process/cronbase-0.3.2 !sys-process/bcron !sys-process/cronie !sys-process/dcron !sys-process/fcron
SLOT=0
SRC_URI=mirror://gentoo/vixie-cron-4.1.tar.bz2 mirror://gentoo/vixie-cron-4.1-gentoo-r4.patch.bz2
_eclasses_=cron 18adefe7a7b2f043ca5b63e912835970 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 multilib 892e597faee02a5b94eb02ab512e7622 pam 5c1a9ef4892062f9ec25c8ef7c1f1e52 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=3661f20be75ef00db6853f9867382857

@ -1,12 +0,0 @@
DEFINED_PHASES=compile install postinst preinst setup unpack
DEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-apps/sed-4.0.5
DESCRIPTION=Paul Vixie's cron daemon, a fully featured crond implementation
HOMEPAGE=ftp://ftp.isc.org/isc/cron/
IUSE=selinux pam debug
KEYWORDS=~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd
LICENSE=ISC BSD-2 BSD
RDEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-process/cronbase-0.3.2 !sys-process/bcron !sys-process/cronie !sys-process/dcron !sys-process/fcron
SLOT=0
SRC_URI=mirror://gentoo/vixie-cron-4.1.tar.bz2 mirror://gentoo/vixie-cron-4.1-gentoo-r4.patch.bz2
_eclasses_=cron 18adefe7a7b2f043ca5b63e912835970 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 multilib 892e597faee02a5b94eb02ab512e7622 pam 5c1a9ef4892062f9ec25c8ef7c1f1e52 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=e24fed7179e073aaf51fe318abff7f9b

@ -1,12 +0,0 @@
DEFINED_PHASES=compile install postinst preinst setup unpack
DEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-apps/sed-4.0.5 virtual/pkgconfig
DESCRIPTION=Paul Vixie's cron daemon, a fully featured crond implementation
HOMEPAGE=ftp://ftp.isc.org/isc/cron/
IUSE=selinux pam debug
KEYWORDS=~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd
LICENSE=ISC BSD-2 BSD
RDEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-process/cronbase-0.3.2 !sys-process/bcron !sys-process/cronie !sys-process/dcron !sys-process/fcron
SLOT=0
SRC_URI=mirror://gentoo/vixie-cron-4.1.tar.bz2 mirror://gentoo/vixie-cron-4.1-gentoo-r4.patch.bz2
_eclasses_=cron 18adefe7a7b2f043ca5b63e912835970 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 multilib 892e597faee02a5b94eb02ab512e7622 pam 5c1a9ef4892062f9ec25c8ef7c1f1e52 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=6d5137fdc3a352ffe24bbfbd22d84eed

@ -3,10 +3,10 @@ DEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-apps/sed-4.0.
DESCRIPTION=Paul Vixie's cron daemon, a fully featured crond implementation
HOMEPAGE=ftp://ftp.isc.org/isc/cron/
IUSE=selinux pam debug
KEYWORDS=alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd
KEYWORDS=alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd
LICENSE=ISC BSD-2 BSD
RDEPEND=selinux? ( sys-libs/libselinux ) pam? ( virtual/pam ) >=sys-process/cronbase-0.3.2 !sys-process/bcron !sys-process/cronie !sys-process/dcron !sys-process/fcron
SLOT=0
SRC_URI=mirror://gentoo/vixie-cron-4.1.tar.bz2 mirror://gentoo/vixie-cron-4.1-gentoo-r4.patch.bz2
_eclasses_=cron 18adefe7a7b2f043ca5b63e912835970 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 multilib 892e597faee02a5b94eb02ab512e7622 pam 5c1a9ef4892062f9ec25c8ef7c1f1e52 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=4596944b95d9664241ac8b026393d2b8
_md5_=90e7dea8ba23325fb5a45c55931b75c5

@ -1,14 +0,0 @@
DEFINED_PHASES=configure install postinst prepare setup
DEPEND=>=dev-libs/openssl-0.9.8m apache2_modules_deflate? ( sys-libs/zlib ) =sys-devel/automake-1.11* >=sys-devel/autoconf-2.68 sys-devel/libtool ssl? ( dev-libs/openssl ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1* virtual/pkgconfig
DESCRIPTION=The Apache Web Server.
EAPI=2
HOMEPAGE=http://httpd.apache.org/
IUSE=ssl debug doc ldap selinux ssl static suexec threads apache2_modules_actions apache2_modules_alias apache2_modules_asis apache2_modules_auth_basic apache2_modules_auth_digest apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbd apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_cern_meta apache2_modules_charset_lite apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_dbd apache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_dumpio apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_ident apache2_modules_imagemap apache2_modules_include apache2_modules_info apache2_modules_log_config apache2_modules_log_forensic apache2_modules_logio apache2_modules_mem_cache apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_proxy apache2_modules_proxy_ajp apache2_modules_proxy_balancer apache2_modules_proxy_connect apache2_modules_proxy_ftp apache2_modules_proxy_http apache2_modules_proxy_scgi apache2_modules_rewrite apache2_modules_reqtimeout apache2_modules_setenvif apache2_modules_speling apache2_modules_status apache2_modules_substitute apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_version apache2_modules_vhost_alias apache2_mpms_itk apache2_mpms_peruser apache2_mpms_prefork apache2_mpms_event apache2_mpms_worker
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd
LICENSE=Apache-2.0 Apache-1.1
PDEPEND=~app-admin/apache-tools-2.2.24
RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( app-misc/mime-types ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1*
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.2.24.tar.bz2 http://dev.gentoo.org/~patrick/dist/apache/gentoo-apache-2.2.23-20121012.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=9a7d57e6f5a79a6e8e6f440968e53dc6

@ -11,4 +11,4 @@ RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( a
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.2.25.tar.bz2 http://dev.gentoo.org/~patrick/dist/apache/gentoo-apache-2.2.23-20121012.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=472bbd6d650dd25eb4fc0521360a33bc
_md5_=76d7969ece4bd2e8f0db4691cf07a6e1

@ -1,14 +0,0 @@
DEFINED_PHASES=configure install postinst prepare setup
DEPEND=>=dev-libs/openssl-0.9.8m apache2_modules_deflate? ( sys-libs/zlib ) || ( >=sys-devel/automake-1.12:1.12 >=sys-devel/automake-1.13:1.13 ) >=sys-devel/autoconf-2.68 sys-devel/libtool ssl? ( dev-libs/openssl ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1*
DESCRIPTION=The Apache Web Server.
EAPI=2
HOMEPAGE=http://httpd.apache.org/
IUSE=ssl debug doc ldap selinux ssl static suexec threads apache2_modules_access_compat apache2_modules_actions apache2_modules_alias apache2_modules_asis apache2_modules_auth_basic apache2_modules_auth_digest apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_core apache2_modules_authn_dbd apache2_modules_authn_dbm apache2_modules_authn_file apache2_modules_authz_core apache2_modules_authz_dbm apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_cache_disk apache2_modules_cern_meta apache2_modules_charset_lite apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_dbd apache2_modules_deflate apache2_modules_dir apache2_modules_dumpio apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_ident apache2_modules_imagemap apache2_modules_include apache2_modules_info apache2_modules_lbmethod_byrequests apache2_modules_lbmethod_bytraffic apache2_modules_lbmethod_bybusyness apache2_modules_lbmethod_heartbeat apache2_modules_log_config apache2_modules_log_forensic apache2_modules_logio apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_proxy apache2_modules_proxy_ajp apache2_modules_proxy_balancer apache2_modules_proxy_connect apache2_modules_proxy_ftp apache2_modules_proxy_http apache2_modules_proxy_scgi apache2_modules_rewrite apache2_modules_reqtimeout apache2_modules_setenvif apache2_modules_slotmem_shm apache2_modules_speling apache2_modules_socache_shmcb apache2_modules_status apache2_modules_substitute apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_unixd apache2_modules_version apache2_modules_vhost_alias apache2_mpms_itk apache2_mpms_peruser apache2_mpms_prefork apache2_mpms_event apache2_mpms_worker
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd
LICENSE=Apache-2.0 Apache-1.1
PDEPEND=~app-admin/apache-tools-2.4.4
RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( app-misc/mime-types ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1*
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.4.4.tar.bz2 http://dev.gentoo.org/~patrick/dist/apache/gentoo-apache-2.4.4-20130227.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=1a17f090d5533f88f39f9bd681745e29

@ -1,14 +0,0 @@
DEFINED_PHASES=configure install postinst prepare setup
DEPEND=>=dev-libs/openssl-0.9.8m apache2_modules_deflate? ( sys-libs/zlib ) || ( >=sys-devel/automake-1.12:1.12 >=sys-devel/automake-1.13:1.13 ) >=sys-devel/autoconf-2.68 sys-devel/libtool ssl? ( dev-libs/openssl ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1* virtual/pkgconfig
DESCRIPTION=The Apache Web Server.
EAPI=2
HOMEPAGE=http://httpd.apache.org/
IUSE=ssl debug doc ldap selinux ssl static suexec threads apache2_modules_access_compat apache2_modules_actions apache2_modules_alias apache2_modules_asis apache2_modules_auth_basic apache2_modules_auth_digest apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_core apache2_modules_authn_dbd apache2_modules_authn_dbm apache2_modules_authn_file apache2_modules_authz_core apache2_modules_authz_dbm apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_cache_disk apache2_modules_cern_meta apache2_modules_charset_lite apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_dbd apache2_modules_deflate apache2_modules_dir apache2_modules_dumpio apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_ident apache2_modules_imagemap apache2_modules_include apache2_modules_info apache2_modules_lbmethod_byrequests apache2_modules_lbmethod_bytraffic apache2_modules_lbmethod_bybusyness apache2_modules_lbmethod_heartbeat apache2_modules_log_config apache2_modules_log_forensic apache2_modules_logio apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_proxy apache2_modules_proxy_ajp apache2_modules_proxy_balancer apache2_modules_proxy_connect apache2_modules_proxy_ftp apache2_modules_proxy_http apache2_modules_proxy_scgi apache2_modules_proxy_fcgi apache2_modules_rewrite apache2_modules_ratelimit apache2_modules_remoteip apache2_modules_reqtimeout apache2_modules_setenvif apache2_modules_slotmem_shm apache2_modules_speling apache2_modules_socache_shmcb apache2_modules_status apache2_modules_substitute apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_unixd apache2_modules_version apache2_modules_vhost_alias apache2_mpms_itk apache2_mpms_peruser apache2_mpms_prefork apache2_mpms_event apache2_mpms_worker
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd
LICENSE=Apache-2.0 Apache-1.1
PDEPEND=~app-admin/apache-tools-2.4.4
RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( app-misc/mime-types ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1*
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.4.4.tar.bz2 http://dev.gentoo.org/~patrick/dist/apache/gentoo-apache-2.4.4-20130227.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=89e857cc7f349d6f0bda2d19155512b9

@ -1,14 +0,0 @@
DEFINED_PHASES=configure install postinst prepare setup
DEPEND=>=dev-libs/openssl-0.9.8m apache2_modules_deflate? ( sys-libs/zlib ) || ( >=sys-devel/automake-1.12:1.12 >=sys-devel/automake-1.13:1.13 ) >=sys-devel/autoconf-2.68 sys-devel/libtool ssl? ( dev-libs/openssl ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1* virtual/pkgconfig
DESCRIPTION=The Apache Web Server.
EAPI=2
HOMEPAGE=http://httpd.apache.org/
IUSE=ssl debug doc ldap selinux ssl static suexec threads apache2_modules_access_compat apache2_modules_actions apache2_modules_alias apache2_modules_asis apache2_modules_auth_basic apache2_modules_auth_digest apache2_modules_authn_alias apache2_modules_authn_anon apache2_modules_authn_core apache2_modules_authn_dbd apache2_modules_authn_dbm apache2_modules_authn_file apache2_modules_authz_core apache2_modules_authz_dbm apache2_modules_authz_groupfile apache2_modules_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cache apache2_modules_cache_disk apache2_modules_cern_meta apache2_modules_charset_lite apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock apache2_modules_dbd apache2_modules_deflate apache2_modules_dir apache2_modules_dumpio apache2_modules_env apache2_modules_expires apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_modules_ident apache2_modules_imagemap apache2_modules_include apache2_modules_info apache2_modules_lbmethod_byrequests apache2_modules_lbmethod_bytraffic apache2_modules_lbmethod_bybusyness apache2_modules_lbmethod_heartbeat apache2_modules_log_config apache2_modules_log_forensic apache2_modules_logio apache2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_proxy apache2_modules_proxy_ajp apache2_modules_proxy_balancer apache2_modules_proxy_connect apache2_modules_proxy_ftp apache2_modules_proxy_http apache2_modules_proxy_scgi apache2_modules_proxy_fcgi apache2_modules_rewrite apache2_modules_ratelimit apache2_modules_remoteip apache2_modules_reqtimeout apache2_modules_setenvif apache2_modules_slotmem_shm apache2_modules_speling apache2_modules_socache_shmcb apache2_modules_status apache2_modules_substitute apache2_modules_unique_id apache2_modules_userdir apache2_modules_usertrack apache2_modules_unixd apache2_modules_version apache2_modules_vhost_alias apache2_mpms_itk apache2_mpms_peruser apache2_mpms_prefork apache2_mpms_event apache2_mpms_worker
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd
LICENSE=Apache-2.0 Apache-1.1
PDEPEND=~app-admin/apache-tools-2.4.6
RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( app-misc/mime-types ) dev-lang/perl =dev-libs/apr-1* =dev-libs/apr-util-1*[ldap?] dev-libs/libpcre ldap? ( =net-nds/openldap-2* ) selinux? ( sec-policy/selinux-apache ) ssl? ( >=dev-libs/openssl-0.9.8f ) !=www-servers/apache-1*
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.4.6.tar.bz2 http://dev.gentoo.org/~patrick/dist/apache/gentoo-apache-2.4.4-20130227.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=d298775bb2d84f5453012ee99cef47e5

@ -11,4 +11,4 @@ RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( a
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.4.6.tar.bz2 http://dev.gentoo.org/~kensington/dist/apache/gentoo-apache-2.4.4-20130725.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=dcf8ee6a0ebac514bb06c1a14e95d08e
_md5_=e70b6987a1500ef87baac7e312e02886

@ -11,4 +11,4 @@ RDEPEND=>=dev-libs/apr-1.4.5 >=dev-libs/openssl-0.9.8m apache2_modules_mime? ( a
SLOT=2
SRC_URI=mirror://apache/httpd/httpd-2.4.6.tar.bz2 http://dev.gentoo.org/~kensington/dist/apache/gentoo-apache-2.4.4-20130801.tar.bz2
_eclasses_=apache-2 599c0a466836a4a9817695c9c05804f2 autotools 16761a2f972abd686713e5967ff3c754 eutils 4878e7f88afc0ba0866ac112190b0fd4 flag-o-matic 65cef1287b9d62b1a0f180765d1e0c69 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e ssl-cert 0b45da48a22fda62c57c1809b8b55315 systemd 9f063b2cc19c5e8030911372aa246c4e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=82c7f4dbbd9b2bb554233c1f17d0db2d
_md5_=f4e2ae81a43ac516fd0ae3ded0bd9fe0

@ -1 +1 @@
Thu, 07 Nov 2013 10:37:02 +0000
Thu, 07 Nov 2013 16:07:02 +0000

@ -1 +1 @@
Thu Nov 7 10:36:59 UTC 2013
Thu Nov 7 16:06:59 UTC 2013

@ -1 +1 @@
Thu, 07 Nov 2013 11:00:01 +0000
Thu, 07 Nov 2013 16:30:01 +0000

@ -1 +1 @@
1383820501 Thu Nov 7 10:35:01 2013 UTC
1383840301 Thu Nov 7 16:05:01 2013 UTC

@ -1,2 +1,2 @@
DIST shelldap-0.4.tar.bz2 12309 SHA256 3499d80c2daa15c5055322d03844ac4df7e09d79bfe9f0f1592c2ed76c5cc500
DIST shelldap-0.7_p20130220.tar.bz2 13419 SHA256 e4cfbe181729af9d78ae88f6f960994a76c723e8e2869bad59aac3902240ee18 SHA512 246acaf49c3ca88483fca878acb063ccc17a78a6197b01818c52bd4211ba45e532541e1bca48300e629d4aed41dc596b5fea42b0817557b3b1a58aa3b17cbac6 WHIRLPOOL daac3a1569254e29e7ca616e19a21cff6f68cb23bfbe6d63380218d401c5bb3338c963472bcc8e879eb43055edb5e25ce463244dad42148546453d56b87641ed
DIST shelldap-1.0.2.tar.bz2 16205 SHA256 c02a22ba980a2f87a2f65caa6bbcb228cb38bf08e9e0d5d309a6b8118ad3cbe0 SHA512 aa199de5251eeeec1b20f77cbda1bc76b3c8203dcb5021250ebccb8d1c8fa9134b076eb38574636789e2828fb582b588f63fe819c05d6e051ae079e9a0a99acd WHIRLPOOL c0b615d06b84eeaa7b08242efe332afddbb174cfa8fa6cbd357ee0285c998a8960c1721aeb03098dcb5ae146ea814888aa16157097f639a96cfa34a37dbb8003

@ -1,19 +1,16 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-nds/shelldap/shelldap-0.4.ebuild,v 1.1 2011/04/30 20:36:04 pva Exp $
# $Header: /var/cvsroot/gentoo-x86/net-nds/shelldap/shelldap-1.0.2.ebuild,v 1.1 2013/11/07 11:12:14 pinkbyte Exp $
EAPI=3
REVISION="d703cba056e3"
EAPI=5
DESCRIPTION="A handy shell-like interface for browsing LDAP servers and editing their content."
HOMEPAGE="http://projects.martini.nu/shelldap/"
SRC_URI="http://code.martini.nu/shelldap/archive/${REVISION}.tar.bz2 -> ${P}.tar.bz2"
SRC_URI="http://code.martini.nu/shelldap/archive/${PV}.tar.bz2 -> ${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="dev-perl/Algorithm-Diff
@ -24,13 +21,11 @@ RDEPEND="dev-perl/Algorithm-Diff
dev-perl/YAML-Syck
virtual/perl-Digest-MD5"
S=${WORKDIR}/${PN}-${REVISION}
src_compile() {
pod2man --name ${PN} < ${PN} > ${PN}.1 || die
pod2man --name "${PN}" < "${PN}" > "${PN}.1" || die 'creating manpage failed'
}
src_install() {
doman ${PN}.1 || die
dobin ${PN} || die
doman "${PN}.1"
dobin "${PN}"
}

@ -20,3 +20,4 @@ DIST ccpn-update-2.3.1-131008.patch.xz 4980 SHA256 f52ee972d459f6f3169b24b2858b1
DIST ccpn-update-2.3.1-131010.patch.xz 7352 SHA256 f447df5334aac40847c9796421b5af8c4d290355b8f4a7de67ea6735683efca4 SHA512 865f3c39398f0c55a1f219d816c5a0395e9c7fa71b6f145c05959c39a4971c451f7162e9d23e5e0b000e0a2f7754bac6d458875b897bf3c3d4ed9a72f80a5561 WHIRLPOOL 60616ccaf6bdd2cabf6bf23813a761e00d8dca31ecb0e8d34c8a7ddc2983c8643a12392ccd7e1b5c356cc40456df9140801b842bc7170fa311c273cc5ed762db
DIST ccpn-update-2.3.1-131015.patch.xz 7676 SHA256 df46e2f39ff6a9feda6bd9d4480d94af0f0282e318f6e3e27fc3d5b6ee1888db SHA512 c1ba9a0b9766a5317564978159a7e7c3176d382ff0e5d4547a372666309c614079254e772921761010e23ce61a81b1cdf4f99b3b58880ab9901ab372adea1055 WHIRLPOOL 4d008ac4c4861083091c557485afe0efd9dcfd982f1c241987743cb494f36ab084b27449cf2e528c2b95e2048dc67e90e58a4e0e3de283b81e17478b6900cff9
DIST ccpn-update-2.3.1-131018.patch.xz 8152 SHA256 03d51dd46b68b426dce8dcdc479add7a3c865c98da1528854538422ebfb93952 SHA512 cf396501bdabca724cf691cb35a7acaafc5b7253f15eaf6c286a52afbf629b1babadd837facbafe50d9a960699647640ffc009ae58da4cd1c288b752ce8a96fc WHIRLPOOL dbb69d3df269cd569939783963243496552b3ea551a5e7e4362d2815aad533142a884183ca1bed3af4c54933eb03e835cc9b46662dc8021705507eeabbb6b2d3
DIST ccpn-update-2.3.1-131107.patch.xz 9316 SHA256 d01b8cdde7f459027b731649526fa8bd84ce3fff6a3e10df8b26bd3a52df80dd SHA512 c18784d29d7f15ddf74229d0a44162595d953db76663450101e2d65ca7834dafd0137c2f5742d66a7b89a4af57149f49ce0bb01e62c198da3c93ca3c6a4c2002 WHIRLPOOL ef571e4a279a15e434bd264d9f1213c610a79dc9d9e4c0318ac99b29213ee2018ca02617b62632a791f61b9c7479586567983a43c698f4423d90a9aaa554c7d1

@ -0,0 +1,166 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/ccpn/ccpn-2.3.1_p131107.ebuild,v 1.1 2013/11/07 15:58:24 jlec Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
PYTHON_REQ_USE="ssl,tk"
inherit eutils flag-o-matic multilib portability python-single-r1 toolchain-funcs versionator
PATCHSET="${PV##*_p}"
MY_PN="${PN}mr"
MY_PV="$(replace_version_separator 3 _ ${PV%%_p*})"
MY_MAJOR="$(get_version_component_range 1-3)"
DESCRIPTION="The Collaborative Computing Project for NMR"
HOMEPAGE="http://www.ccpn.ac.uk/ccpn"
SRC_URI="http://www-old.ccpn.ac.uk/download/${MY_PN}/analysis${MY_PV}r2.tar.gz"
[[ -n ${PATCHSET} ]] \
&& SRC_URI+=" http://dev.gentoo.org/~jlec/distfiles/ccpn-update-${MY_MAJOR}-${PATCHSET}.patch.xz"
SLOT="0"
LICENSE="|| ( CCPN LGPL-2.1 )"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="+opengl"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
${PYTHON_DEPS}
dev-lang/tk[threads]
dev-python/numpy[${PYTHON_USEDEP}]
dev-tcltk/tix
=sci-libs/ccpn-data-"${MY_MAJOR}"*[${PYTHON_USEDEP}]
sci-biology/psipred
x11-libs/libXext
x11-libs/libX11
opengl? (
media-libs/freeglut
dev-python/pyglet[${PYTHON_USEDEP}] )"
DEPEND="${RDEPEND}"
RESTRICT="mirror"
S="${WORKDIR}"/${MY_PN}/${MY_PN}$(get_version_component_range 1-2)
src_prepare() {
[[ -n ${PATCHSET} ]] && \
epatch "${WORKDIR}"/ccpn-update-${MY_MAJOR}-${PATCHSET}.patch
epatch "${FILESDIR}"/${MY_PV}-parallel.patch
append-lfs-flags
sed \
-e "/PSIPRED_DIR/s:'data':'share/psipred/data':g" \
-e "s:weights_s:weights:g" \
-i python/ccpnmr/analysis/wrappers/Psipred.py || die
local tk_ver
local myconf
tk_ver="$(best_version dev-lang/tk | cut -d- -f3 | cut -d. -f1,2)"
if use opengl; then
GLUT_NEED_INIT="-DNEED_GLUT_INIT"
IGNORE_GL_FLAG=""
GL_FLAG="-DUSE_GL_TRUE"
GL_DIR="${EPREFIX}/usr"
GL_LIB="-lglut -lGLU -lGL"
GL_INCLUDE_FLAGS="-I\$(GL_DIR)/include"
GL_LIB_FLAGS="-L\$(GL_DIR)/$(get_libdir)"
else
IGNORE_GL_FLAG="-DIGNORE_GL"
GL_FLAG="-DUSE_GL_FALSE"
fi
GLUT_NOT_IN_GL=""
GLUT_FLAG="\$(GLUT_NEED_INIT) \$(GLUT_NOT_IN_GL)"
rm -rf data model doc license || die
sed \
-e "s|/usr|${EPREFIX}/usr|g" \
-e "s|^\(CC =\).*|\1 $(tc-getCC)|g" \
-e "s|^\(OPT_FLAG =\).*|\1 ${CPPFLAGS} ${CFLAGS}|g" \
-e "s|^\(LINK_FLAGS =.*\)|\1 ${LDFLAGS}|g" \
-e "s|^\(IGNORE_GL_FLAG =\).*|\1 ${IGNORE_GL_FLAG}|g" \
-e "s|^\(GL_FLAG =\).*|\1 ${GL_FLAG}|g" \
-e "s|^\(GL_DIR =\).*|\1 ${GL_DIR}|g" \
-e "s|^\(GL_LIB =\).*|\1 ${GL_LIB}|g" \
-e "s|^\(GL_LIB_FLAGS =\).*|\1 ${GL_LIB_FLAGS}|g" \
-e "s|^\(GL_INCLUDE_FLAGS =\).*|\1 ${GL_INCLUDE_FLAGS}|g" \
-e "s|^\(GLUT_NEED_INIT =\).*|\1 ${GLUT_NEED_INIT}|g" \
-e "s|^\(GLUT_NOT_IN_GL =\).*|\1|g" \
-e "s|^\(X11_LIB_FLAGS =\).*|\1 -L${EPREFIX}/usr/$(get_libdir)|g" \
-e "s|^\(TCL_LIB_FLAGS =\).*|\1 -L${EPREFIX}/usr/$(get_libdir)|g" \
-e "s|^\(TK_LIB =\).*|\1 -ltk|g" \
-e "s|^\(TK_LIB_FLAGS =\).*|\1 -L${EPREFIX}/usr/$(get_libdir)|g" \
-e "s|^\(PYTHON_INCLUDE_FLAGS =\).*|\1 -I$(python_get_includedir)|g" \
-e "s|^\(PYTHON_LIB =\).*|\1 -l${EPYTHON}|g" \
c/environment_default.txt > c/environment.txt || die
sed \
-e 's:ln -s:cp -f:g' \
-i $(find python -name linkSharedObjs) || die
}
src_compile() {
emake -C c all
emake -C c links
}
src_install() {
local libdir
local tkver
local _wrapper
find . -name "*.pyc" -type f -delete || die
libdir=$(get_libdir)
tkver=$(best_version dev-lang/tk | cut -d- -f3 | cut -d. -f1,2)
_wrapper="analysis dangle dataShifter depositionFileImporter eci formatConverter pipe2azara xeasy2azara extendNmr"
for wrapper in ${_wrapper}; do
sed \
-e "s|gentoo_sitedir|$(python_get_sitedir)|g" \
-e "s|gentoolibdir|${EPREFIX}/usr/${libdir}|g" \
-e "s|gentootk|${EPREFIX}/usr/${libdir}/tk${tkver}|g" \
-e "s|gentootcl|${EPREFIX}/usr/${libdir}/tclk${tkver}|g" \
-e "s|gentoopython|${EPYTHON}|g" \
-e "s|gentoousr|${EPREFIX}/usr|g" \
-e "s|//|/|g" \
"${FILESDIR}"/${wrapper} > "${T}"/${wrapper} || die "Fail fix ${wrapper}"
dobin "${T}"/${wrapper}
done
local in_path=$(python_get_sitedir)/${PN}
local files
local pydocs
pydocs="$(find python -name doc -type d)"
rm -rf ${pydocs} || die
for i in python/memops/format/compatibility/{Converters,part2/Converters2}.py; do
sed \
-e 's|#from __future__|from __future__|g' \
-i ${i} || die
done
dodir ${in_path#${EPREFIX}}/c
ebegin "Installing main files"
python_moduleinto ${PN}
python_domodule python
eend
ebegin "Adjusting permissions"
for _file in $(find "${ED}" -type f -name "*so"); do
chmod 755 ${_file}
done
eend
python_optimize
}

@ -1,2 +1,3 @@
DIST elfix-0.8.1.tar.gz 366485 SHA256 6bdb6bebbfe45aff36351fadcba7077e42b24096218f60c64e3fb42c73bc2673 SHA512 5c0d5d9ae93961ec39915fe5310f385be0bf2a8f01b513565ba077294139397fea05b22032afbc9da68be6847b46ff330d98b912d68bb6ba06857219a65cc29a WHIRLPOOL 0d69412dc694b3142f47df03265280d4e8f87f9b4fcde82976d5abf818e2a46899a0e80a9c08e51b89513457d1fd19b3c0e08b09d80d53f5909d66034d8e85ac
DIST elfix-0.8.3.tar.gz 369719 SHA256 b2ac841e9c9681f421dd8d3a99d33c78a4cfb69215f3234ca0c7edab73c12456 SHA512 ba16670e632fda552f2de2e6dfd0b46c93c7f9be321671433261d25e0b11a4cf2bf774ce6d5153ec7763c776b6188d56f8c17d027c697aed5185722da617e530 WHIRLPOOL 31c39670d465806595bf8ac340d485a422659cf9e6e2e7a7bd8eec40513fbfffcb939f632f98738156f5f0f177a659f3792dda1df0f385233a6ce8e02253d5fd
DIST elfix-0.8.4.tar.gz 374742 SHA256 374be66da3dddef485bbb5e95bfcab6fd0c2db478255bddd10079730ada5260b SHA512 10aacc3fff33c934e2d4487d174a2b0cec10ffb7a35fc72b160c786f82f0355f3a2dea716bc7fb929d2919cc32a26844f37f9d73064b755098bdaa72e8075bda WHIRLPOOL b04e099f188c0b76d8c07abd76559c1313854aa83a03ad69afb72674d93cde6ce538ae10d0fea3be5495937e72a4b98fdd36efbb2e3aa8ff23c1d9f7f943c1ae

@ -0,0 +1,38 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/elfix/elfix-0.8.4.ebuild,v 1.1 2013/11/07 15:22:48 blueness Exp $
EAPI="5"
DESCRIPTION="A suite of tools to work with ELF objects on Hardened Gentoo."
HOMEPAGE="http://www.gentoo.org/proj/en/hardened/pax-quickstart.xml
http://dev.gentoo.org/~blueness/elfix/"
SRC_URI="http://dev.gentoo.org/~blueness/elfix/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="+ptpax +xtpax"
REQUIRED_USE="|| ( ptpax xtpax )"
# These only work with a properly configured PaX kernel
RESTRICT="test"
DEPEND="~dev-python/pypax-${PV}[ptpax=,xtpax=]
ptpax? ( dev-libs/elfutils )
xtpax? ( sys-apps/attr )"
RDEPEND="${DEPEND}"
src_configure() {
rm -f "${S}/scripts/setup.py"
econf --disable-tests \
$(use_enable ptpax) \
$(use_enable xtpax)
}
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS ChangeLog INSTALL README THANKS TODO
}

@ -1,3 +1,4 @@
DIST e6427b7ee117ea4af0812bb13b57999bccd8e058.tar.bz2 2198003 SHA256 008a80b80a8b19ef6963581b5599880d51171aad13f96690589cbc0fa895eaf3 SHA512 8456ef3c27f3f4de827ae4c744cbe2eaacb96cf703a5525f490c53ac26ed597635acb744a50607d733d7bd5014dcbbb333f74da8fe68fddca19e11d047377d73 WHIRLPOOL 814cda89fa52afec2b1a8811407ce3b361c1d7548e40255fdffda2bd0fbb8485352575f19b6935de50582a97c31758cd9bcc2194cb2b222b89313868a032a828
DIST ipxe-1.0.0_p20130225-09c5109.tar.bz2 2208235 SHA256 58fd3470c4807c7206550badbc709c9a48af201b4bfa629379143b21426189fa SHA512 74b72a336ee4874ee134fe2bfa8540a864ddd169e09a7d6dfa688624f674962ea33f01bb287b90fda0cdfe5bf4d38e49362934c22a2da932dd3e4c702ebd56dc WHIRLPOOL fad62b8d15bb67ab194954671ae9e1cfa0df06c2d237b9312994ecaf440f0bb22b72ba28824ee8a13c19fe90f8bd3b2847a80d93da5f10368b096cdfa8230a06
DIST ipxe-1.0.0_p20130624-936134e.tar.bz2 2230605 SHA256 bbf9435515a481ab4e5bfc4e49d5eeb005b60169bad3db269e31228fafbb7bbc SHA512 8a1332794acd0db7bf485bfc2c1c52b4e7e5545e5cc1e4e39bbe6f190a684682613b063cc5c31c94d7715fa07555a851f04abb45e604325c0bb4ab73526df0c9 WHIRLPOOL 1338fc4f8bf69a98713d72ad0a8749bc53e42d99c8088e5536b78001d0f738dcc8aaa537cce7dcb5f4f66818880b936c964fc6bed8ff00e674cf400da9521f5b
DIST ipxe-1.0.0_p20130925-cba22d3.tar.bz2 2240189 SHA256 c9c819bac8a925aad30ac88a23a86dd5591a9c31846058e77465d05551fc6189 SHA512 a098d3fc0f68067be281b9c3654bb1b0be1b9d397327b55b36b17e69faf03ce6117d0278552c06990a5020e4ece7acac168d975b3c7bfce3b6865dea1fd1d8dd WHIRLPOOL 11442ea81032b4c9c00d3c1346761163cbcf2db2bc957bfbaba74c7f9109136bf5334e26752f9d10a8ed0f093ae39fd28e4152d522aa4dd86e4d1c05695d7d3a

@ -0,0 +1,100 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-firmware/ipxe/ipxe-1.0.0_p20130925.ebuild,v 1.1 2013/11/07 15:48:40 cardoe Exp $
EAPI=5
inherit toolchain-funcs
GIT_REV="cba22d36b77da53890bd65fdadd0e63925687af0"
GIT_SHORT="cba22d3"
DESCRIPTION="Open source network boot (PXE) firmware"
HOMEPAGE="http://ipxe.org"
SRC_URI="https://git.ipxe.org/ipxe.git/snapshot/${GIT_REV}.tar.bz2 -> ${P}-${GIT_SHORT}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="iso +qemu undi usb vmware"
DEPEND="sys-devel/make
dev-lang/perl
sys-libs/zlib
iso? (
sys-boot/syslinux
virtual/cdrtools
)"
RDEPEND=""
S="${WORKDIR}/ipxe-${GIT_SHORT}/src"
pkg_setup() {
local myld=$(tc-getLD)
${myld} -v | grep -q "GNU gold" && \
ewarn "gold linker unable to handle 16-bit code using ld.bfd. bug #438058"
}
src_prepare() {
cat <<-EOF > "${S}"/config/local/general.h
#undef BANNER_TIMEOUT
#define BANNER_TIMEOUT 0
EOF
if use vmware; then
cat <<-EOF >> "${S}"/config/local/general.h
#define VMWARE_SETTINGS
#define CONSOLE_VMWARE
EOF
fi
}
src_compile() {
ipxemake() {
# Q='' makes the build verbose since that's what everyone loves now
emake Q='' \
CC=$(tc-getCC) \
LD="$(tc-getLD).bfd" \
AR=$(tc-getAR) \
OBJCOPY=$(tc-getOBJCOPY) \
RANLIB=$(tc-getRANLIB) \
OBJDUMP=$(tc-getPROG OBJDUMP objdump) \
HOST_CC=$(tc-getBUILD_CC) \
${*}
}
export NO_WERROR=1
if use qemu; then
ipxemake bin/808610de.rom # pxe-e1000.rom (old)
ipxemake bin/8086100e.rom # pxe-e1000.rom
ipxemake bin/80861209.rom # pxe-eepro100.rom
ipxemake bin/10500940.rom # pxe-ne2k_pci.rom
ipxemake bin/10222000.rom # pxe-pcnet.rom
ipxemake bin/10ec8139.rom # pxe-rtl8139.rom
ipxemake bin/1af41000.rom # pxe-virtio.rom
fi
if use vmware; then
ipxemake bin/8086100f.mrom # e1000
ipxemake bin/808610d3.mrom # e1000e
ipxemake bin/10222000.mrom # vlance
ipxemake bin/15ad07b0.rom # vmxnet3
fi
use iso && ipxemake bin/ipxe.iso
use undi && ipxemake bin/undionly.kpxe
use usb && ipxemake bin/ipxe.usb
}
src_install() {
insinto /usr/share/ipxe/
if use qemu || use vmware; then
doins bin/*.rom
fi
use vmware && doins bin/*.mrom
use iso && doins bin/*.iso
use undi && doins bin/*.kpxe
use usb && doins bin/*.usb
}

@ -1,123 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/vixie-cron-4.1-r10.ebuild,v 1.16 2012/05/24 05:46:25 vapier Exp $
inherit cron toolchain-funcs pam eutils flag-o-matic user
# no useful homepage, bug #65898
HOMEPAGE="ftp://ftp.isc.org/isc/cron/"
DESCRIPTION="Paul Vixie's cron daemon, a fully featured crond implementation"
SELINUX_PATCH="${P}-selinux.diff"
GENTOO_PATCH_REV="r4"
SRC_URI="mirror://gentoo/${P}.tar.bz2
mirror://gentoo/${P}-gentoo-${GENTOO_PATCH_REV}.patch.bz2"
LICENSE="ISC BSD-2 BSD"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="selinux pam debug"
DEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
RDEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
#vixie-cron supports /etc/crontab
CRON_SYSTEM_CRONTAB="yes"
pkg_setup() {
enewgroup crontab
}
src_unpack() {
unpack ${A}
cd ${S}
epatch "${WORKDIR}"/${P}-gentoo-${GENTOO_PATCH_REV}.patch
epatch "${FILESDIR}"/crontab.5.diff
epatch "${FILESDIR}"/${P}-commandline.patch
epatch "${FILESDIR}"/${P}-basename.diff
epatch "${FILESDIR}"/${P}-setuid_check.patch
epatch "${FILESDIR}"/${P}-hardlink.patch
use pam && epatch "${FILESDIR}"/${P}-pam.patch
use selinux && epatch "${FILESDIR}"/${SELINUX_PATCH}
}
src_compile() {
use debug && append-flags -DDEBUGGING
sed -i -e "s:gcc \(-Wall.*\):$(tc-getCC) \1 ${CFLAGS}:" \
-e "s:^\(LDFLAGS[ \t]\+=\).*:\1 ${LDFLAGS}:" Makefile \
|| die "sed Makefile failed"
emake || die "emake failed"
}
src_install() {
docrondir -m 1730 -o root -g crontab
docron
docrontab -m 2755 -o root -g crontab
# /etc stuff
insinto /etc
newins "${FILESDIR}"/crontab-3.0.1-r4 crontab
newins "${FILESDIR}"/${P}-cron.deny cron.deny
keepdir /etc/cron.d
newpamd "${FILESDIR}"/pamd.compatible cron
newinitd "${FILESDIR}"/vixie-cron.rc6 vixie-cron
# doc stuff
doman crontab.1 crontab.5 cron.8
dodoc "${FILESDIR}"/crontab
dodoc CHANGES CONVERSION FEATURES MAIL README THANKS
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-4.1-r10"
fix_spool_dir_perms=$?
}
pkg_postinst() {
if [[ -f ${ROOT}/etc/init.d/vcron ]]
then
ewarn "Please run:"
ewarn "rc-update del vcron"
ewarn "rc-update add vixie-cron default"
fi
# bug 71326
if [[ -u ${ROOT}/etc/pam.d/cron ]] ; then
echo
ewarn "Warning: previous ebuilds didn't reset permissions prior"
ewarn "to installing crontab, resulting in /etc/pam.d/cron being"
ewarn "installed with the SUID and executable bits set."
ewarn
ewarn "Run the following as root to set the proper permissions:"
ewarn " chmod 0644 /etc/pam.d/cron"
echo
fi
# bug 164466
if [[ $fix_spool_dir_perms = 0 ]] ; then
echo
ewarn "Previous ebuilds didn't correctly set permissions on"
ewarn "the crontabs spool directory. Proper permissions are"
ewarn "now being set on ${ROOT}var/spool/cron/crontabs/"
ewarn "Look at this directory if you have a specific configuration"
ewarn "that needs special ownerships or permissions."
echo
chmod 1730 "${ROOT}/var/spool/cron/crontabs" || die "chmod failed"
chgrp -R crontab "${ROOT}/var/spool/cron/crontabs" || die "chgrp failed"
cd "${ROOT}/var/spool/cron/crontabs/"
for cronfile in * ; do
[[ ! -f $cronfile ]] || chown "$cronfile:crontab" "$cronfile" \
|| ewarn "chown failed on $cronfile, you probably have an orphan file."
done
fi
cron_pkg_postinst
}

@ -1,123 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/vixie-cron-4.1-r12.ebuild,v 1.3 2012/05/24 05:46:25 vapier Exp $
inherit cron toolchain-funcs pam eutils flag-o-matic user
# no useful homepage, bug #65898
HOMEPAGE="ftp://ftp.isc.org/isc/cron/"
DESCRIPTION="Paul Vixie's cron daemon, a fully featured crond implementation"
SELINUX_PATCH="${P}-selinux-1.diff"
GENTOO_PATCH_REV="r4"
SRC_URI="mirror://gentoo/${P}.tar.bz2
mirror://gentoo/${P}-gentoo-${GENTOO_PATCH_REV}.patch.bz2"
LICENSE="ISC BSD-2 BSD"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="selinux pam debug"
DEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
RDEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
#vixie-cron supports /etc/crontab
CRON_SYSTEM_CRONTAB="yes"
pkg_setup() {
enewgroup crontab
}
src_unpack() {
unpack ${A}
cd ${S}
epatch "${WORKDIR}"/${P}-gentoo-${GENTOO_PATCH_REV}.patch
epatch "${FILESDIR}"/crontab.5.diff
epatch "${FILESDIR}"/${P}-commandline.patch
epatch "${FILESDIR}"/${P}-basename.diff
epatch "${FILESDIR}"/${P}-setuid_check.patch
epatch "${FILESDIR}"/${P}-hardlink.patch
use pam && epatch "${FILESDIR}"/${P}-pam.patch
use selinux && epatch "${FILESDIR}"/${SELINUX_PATCH}
}
src_compile() {
use debug && append-flags -DDEBUGGING
sed -i -e "s:gcc \(-Wall.*\):$(tc-getCC) \1 ${CFLAGS}:" \
-e "s:^\(LDFLAGS[ \t]\+=\).*:\1 ${LDFLAGS}:" Makefile \
|| die "sed Makefile failed"
emake || die "emake failed"
}
src_install() {
docrondir -m 1730 -o root -g crontab
docron
docrontab -m 2755 -o root -g crontab
# /etc stuff
insinto /etc
newins "${FILESDIR}"/crontab-3.0.1-r4 crontab
newins "${FILESDIR}"/${P}-cron.deny cron.deny
keepdir /etc/cron.d
newpamd "${FILESDIR}"/pamd.compatible cron
newinitd "${FILESDIR}"/vixie-cron.rc7 vixie-cron
# doc stuff
doman crontab.1 crontab.5 cron.8
dodoc "${FILESDIR}"/crontab
dodoc CHANGES CONVERSION FEATURES MAIL README THANKS
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-4.1-r10"
fix_spool_dir_perms=$?
}
pkg_postinst() {
if [[ -f ${ROOT}/etc/init.d/vcron ]]
then
ewarn "Please run:"
ewarn "rc-update del vcron"
ewarn "rc-update add vixie-cron default"
fi
# bug 71326
if [[ -u ${ROOT}/etc/pam.d/cron ]] ; then
echo
ewarn "Warning: previous ebuilds didn't reset permissions prior"
ewarn "to installing crontab, resulting in /etc/pam.d/cron being"
ewarn "installed with the SUID and executable bits set."
ewarn
ewarn "Run the following as root to set the proper permissions:"
ewarn " chmod 0644 /etc/pam.d/cron"
echo
fi
# bug 164466
if [[ $fix_spool_dir_perms = 0 ]] ; then
echo
ewarn "Previous ebuilds didn't correctly set permissions on"
ewarn "the crontabs spool directory. Proper permissions are"
ewarn "now being set on ${ROOT}var/spool/cron/crontabs/"
ewarn "Look at this directory if you have a specific configuration"
ewarn "that needs special ownerships or permissions."
echo
chmod 1730 "${ROOT}/var/spool/cron/crontabs" || die "chmod failed"
chgrp -R crontab "${ROOT}/var/spool/cron/crontabs" || die "chgrp failed"
cd "${ROOT}/var/spool/cron/crontabs/"
for cronfile in * ; do
[[ ! -f $cronfile ]] || chown "$cronfile:crontab" "$cronfile" \
|| ewarn "chown failed on $cronfile, you probably have an orphan file."
done
fi
cron_pkg_postinst
}

@ -1,125 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/vixie-cron-4.1-r13.ebuild,v 1.5 2013/10/11 08:21:17 pinkbyte Exp $
inherit cron toolchain-funcs pam eutils flag-o-matic user systemd
# no useful homepage, bug #65898
HOMEPAGE="ftp://ftp.isc.org/isc/cron/"
DESCRIPTION="Paul Vixie's cron daemon, a fully featured crond implementation"
SELINUX_PATCH="${P}-selinux-1.diff"
GENTOO_PATCH_REV="r4"
SRC_URI="mirror://gentoo/${P}.tar.bz2
mirror://gentoo/${P}-gentoo-${GENTOO_PATCH_REV}.patch.bz2"
LICENSE="ISC BSD-2 BSD"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="selinux pam debug"
DEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
RDEPEND="selinux? ( sys-libs/libselinux )
pam? ( virtual/pam )"
#vixie-cron supports /etc/crontab
CRON_SYSTEM_CRONTAB="yes"
pkg_setup() {
enewgroup crontab
}
src_unpack() {
unpack ${A}
cd ${S}
epatch "${WORKDIR}"/${P}-gentoo-${GENTOO_PATCH_REV}.patch
epatch "${FILESDIR}"/crontab.5.diff
epatch "${FILESDIR}"/${P}-commandline.patch
epatch "${FILESDIR}"/${P}-basename.diff
epatch "${FILESDIR}"/${P}-setuid_check.patch
epatch "${FILESDIR}"/${P}-hardlink.patch
use pam && epatch "${FILESDIR}"/${P}-pam.patch
use selinux && epatch "${FILESDIR}"/${SELINUX_PATCH}
}
src_compile() {
use debug && append-flags -DDEBUGGING
sed -i -e "s:gcc \(-Wall.*\):$(tc-getCC) \1 ${CFLAGS}:" \
-e "s:^\(LDFLAGS[ \t]\+=\).*:\1 ${LDFLAGS}:" Makefile \
|| die "sed Makefile failed"
emake || die "emake failed"
}
src_install() {
docrondir -m 1730 -o root -g crontab
docron
docrontab -m 2755 -o root -g crontab
# /etc stuff
insinto /etc
newins "${FILESDIR}"/crontab-3.0.1-r4 crontab
newins "${FILESDIR}"/${P}-cron.deny cron.deny
keepdir /etc/cron.d
newpamd "${FILESDIR}"/pamd.compatible cron
newinitd "${FILESDIR}"/vixie-cron.rc7 vixie-cron
# doc stuff
doman crontab.1 crontab.5 cron.8
dodoc "${FILESDIR}"/crontab
dodoc CHANGES CONVERSION FEATURES MAIL README THANKS
systemd_dounit "${FILESDIR}/${PN}.service"
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-4.1-r10"
fix_spool_dir_perms=$?
}
pkg_postinst() {
if [[ -f ${ROOT}/etc/init.d/vcron ]]
then
ewarn "Please run:"
ewarn "rc-update del vcron"
ewarn "rc-update add vixie-cron default"
fi
# bug 71326
if [[ -u ${ROOT}/etc/pam.d/cron ]] ; then
echo
ewarn "Warning: previous ebuilds didn't reset permissions prior"
ewarn "to installing crontab, resulting in /etc/pam.d/cron being"
ewarn "installed with the SUID and executable bits set."
ewarn
ewarn "Run the following as root to set the proper permissions:"
ewarn " chmod 0644 /etc/pam.d/cron"
echo
fi
# bug 164466
if [[ $fix_spool_dir_perms = 0 ]] ; then
echo
ewarn "Previous ebuilds didn't correctly set permissions on"
ewarn "the crontabs spool directory. Proper permissions are"
ewarn "now being set on ${ROOT}var/spool/cron/crontabs/"
ewarn "Look at this directory if you have a specific configuration"
ewarn "that needs special ownerships or permissions."
echo
chmod 1730 "${ROOT}/var/spool/cron/crontabs" || die "chmod failed"
chgrp -R crontab "${ROOT}/var/spool/cron/crontabs" || die "chgrp failed"
cd "${ROOT}/var/spool/cron/crontabs/"
for cronfile in * ; do
[[ ! -f $cronfile ]] || chown "$cronfile:crontab" "$cronfile" \
|| ewarn "chown failed on $cronfile, you probably have an orphan file."
done
fi
cron_pkg_postinst
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/vixie-cron-4.1-r14.ebuild,v 1.9 2013/10/25 11:00:05 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/vixie-cron-4.1-r14.ebuild,v 1.10 2013/11/07 11:42:59 polynomial-c Exp $
inherit cron toolchain-funcs pam eutils flag-o-matic user systemd
@ -15,7 +15,7 @@ SRC_URI="mirror://gentoo/${P}.tar.bz2
mirror://gentoo/${P}-gentoo-${GENTOO_PATCH_REV}.patch.bz2"
LICENSE="ISC BSD-2 BSD"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="selinux pam debug"
DEPEND="selinux? ( sys-libs/libselinux )

@ -1,8 +1,6 @@
DIST gentoo-apache-2.2.23-20121012.tar.bz2 64135 SHA256 711a88f26c58b10b082f7ff411366cd768f9450101da050438a2f77abeab7333 SHA512 92a49f954b82d4427862f41977625a60641731cc25ab3efdd666be8db839038e7b1c2ef2f878d5efed243eaa63237e88ee4993cd25cca1dfbb0f56a6b2093d57 WHIRLPOOL 221d9c0cf999430afc11a8e48ae67019c7f31daca827a5db7615aca24859788743e5da00e4c99b7b7b375e58fafd6c148339e5671be939dbc30735031e12c49f
DIST gentoo-apache-2.4.4-20130227.tar.bz2 24579 SHA256 cf27447dc87b4c145e50a6850245e3ed8d350bc3500bb249035322b23d03ccd2 SHA512 d6e8e37c53c37e9791c9d0ed3501d271212f0d2e2aac757a8a1914f20eb7b3dc0ca7e2d33a6f17dcb3572bc1f01b2c2f5876329ac8c2a4aaa7d2bca8e71f1d84 WHIRLPOOL 6364049b25c0aa21c4336dab7d1af8d3f3d06a60766fe401fc4f818f8ff7764564d136a414c444811612698221d830040ff4c5afb2a379607d5bd32b60260be6
DIST gentoo-apache-2.4.4-20130725.tar.bz2 24525 SHA256 c155dae39d87acc43ef34b385a2eaf2a45ff9c11d31b1c1791a74f9946335c39 SHA512 95489af418e3674b9d20dc988f4473d5d088d892bb2e6660a46a225667b0427c904d883a19fa3a847778fa00eb8ac0f27e1a5f76f0d65a28eaf0a39747353bbb WHIRLPOOL 1fd36df2db6814d01846cb40be9443aa963a0df9b45647859e901981872f64a8b4ba95aff9a14a8985feb74d51c551ab10c6734a63d5e9d001c53ab3c4383c42
DIST gentoo-apache-2.4.4-20130801.tar.bz2 24536 SHA256 bae819de1ded2104a65dabc759e8a7bc6b442d2588ffb99e563be8482b3d87bf SHA512 97474e7d7f17d6537337b51385be4d093f9a15cf3a0a5f567ad883c4cc653d9bd3bed6e5f308e1bb9cf648be2c4a67a3099a95bd36b1be7c15ca8c512e01b2b0 WHIRLPOOL 4b75f5477b601f4159cb1b12c5f76ae4f678c83cef4441eba0e90a9be8222e4abd981a0d2205a54ddeebd8276567670c5ad827aa19f22f17196986bfd5c05c73
DIST httpd-2.2.24.tar.bz2 5490439 SHA256 0453f5d2d7e3b1975a1c6a8a22b6d6ff768715a3b0a89b51e5f7b5851628fad7 SHA512 e1c24535bb0ae309c249c0a6fbd390064a929d960241e5e68737744f120a88b615bd5d9065fc2f749ee664ed96621c9373576e6ca32bd189d625fcd4dc1b8f01 WHIRLPOOL b24bf388e1be29cc52341d66af00318b3a60ad6db6b4df8c6cc0abf496c4e603d3b733529d21d3d1c37dad0008cacafa8078abdff6c25cb42b3874b6e176713e
DIST httpd-2.2.25.tar.bz2 5524905 SHA256 4bcaf3524796a514b31aa5c64ce80b0cdb484bab5735416de29d00f6d50fa65a SHA512 4750e79bdab4ca28c602a808531dfc1482e86bf425d5cb3bcb42a9ccfbbfde5bfd05e66649ea741523c96de6582f5e12facbb1e7d67257bcf78a3ed7a66f80d9 WHIRLPOOL 7ce37be9b66de24cc7259c6e8a0696b496c893933b1c5dbdff5147c279fb644b5d5fc77ed02531b0f081f0c217f684d1bcd98bac26938b23c1d7a4ec085162f6
DIST httpd-2.4.4.tar.bz2 4780289 SHA256 92aabddeca76a4ac7330b143df1407bbf35574c7291c15172238ac598d97655c SHA512 d68789e1e585b4acf26e4e32d063fa512525f8fcc2077b1dbf573dd9f4b47667772d94bb65fefb354fbfae331e87b3fdea422a732838c86d8887eed4b3a76af0 WHIRLPOOL c2ec29a0d52ff1d674f103d0d59c0acd15b194b1102ba5078ef76b62aa959ff92adc5977e095b30c6a778cd9385f9c4ded9bfdc6ce8fba381735ca1aa84aa9f0
DIST httpd-2.4.6.tar.bz2 4949897 SHA256 dc9f3625ebc08bea55eeb0d16e71fba656f252e6cd0aa244ee7806dc3b022fea SHA512 8ade7ec5291f07a60e279f7a73a79c11c150dbf09c9e7b059e136fcb250130aa0f381b118f84e230184b065d452d5e946df8a5766991be8cdc6e8f5d4c4bac01 WHIRLPOOL 81f036bb438afa30106a402e256d641a2687b619ef7f6ea3e4ab61f30715560e1c9dd3afa3e53c4d99c77de72f100e8a1894a5a898247c381100ceb165b8a146

@ -1,119 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.2.24-r1.ebuild,v 1.1 2013/05/20 08:58:01 lxnay Exp $
EAPI="2"
WANT_AUTOMAKE="1.11"
# latest gentoo apache files
GENTOO_PATCHSTAMP="20121012"
GENTOO_DEVELOPER="patrick"
GENTOO_PATCHNAME="gentoo-apache-2.2.23"
# IUSE/USE_EXPAND magic
IUSE_MPMS_FORK="itk peruser prefork"
IUSE_MPMS_THREAD="event worker"
IUSE_MODULES="actions alias asis auth_basic auth_digest authn_alias authn_anon
authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default
authz_groupfile authz_host authz_owner authz_user autoindex cache cern_meta
charset_lite cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache dumpio
env expires ext_filter file_cache filter headers ident imagemap include info
log_config log_forensic logio mem_cache mime mime_magic negotiation proxy
proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http proxy_scgi rewrite
reqtimeout setenvif speling status substitute unique_id userdir usertrack
version vhost_alias"
# The following are also in the source as of this version, but are not available
# for user selection:
# bucketeer case_filter case_filter_in echo http isapi optional_fn_export
# optional_fn_import optional_hook_export optional_hook_import
# inter-module dependencies
# TODO: this may still be incomplete
MODULE_DEPENDS="
dav_fs:dav
dav_lock:dav
deflate:filter
disk_cache:cache
ext_filter:filter
file_cache:cache
log_forensic:log_config
logio:log_config
mem_cache:cache
mime_magic:mime
proxy_ajp:proxy
proxy_balancer:proxy
proxy_connect:proxy
proxy_ftp:proxy
proxy_http:proxy
proxy_scgi:proxy
substitute:filter
"
# module<->define mappings
MODULE_DEFINES="
auth_digest:AUTH_DIGEST
authnz_ldap:AUTHNZ_LDAP
cache:CACHE
dav:DAV
dav_fs:DAV
dav_lock:DAV
disk_cache:CACHE
file_cache:CACHE
info:INFO
ldap:LDAP
mem_cache:CACHE
proxy:PROXY
proxy_ajp:PROXY
proxy_balancer:PROXY
proxy_connect:PROXY
proxy_ftp:PROXY
proxy_http:PROXY
ssl:SSL
status:STATUS
suexec:SUEXEC
userdir:USERDIR
"
# critical modules for the default config
MODULE_CRITICAL="
authz_host
dir
mime
"
inherit apache-2 systemd
DESCRIPTION="The Apache Web Server."
HOMEPAGE="http://httpd.apache.org/"
# some helper scripts are Apache-1.1, thus both are here
LICENSE="Apache-2.0 Apache-1.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND="${DEPEND}
>=dev-libs/openssl-0.9.8m
apache2_modules_deflate? ( sys-libs/zlib )"
# dependency on >=dev-libs/apr-1.4.5 for bug #368651
RDEPEND="${RDEPEND}
>=dev-libs/apr-1.4.5
>=dev-libs/openssl-0.9.8m
apache2_modules_mime? ( app-misc/mime-types )"
# init script fixup - should be rolled into next tarball #389965
src_prepare() {
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
cp "${FILESDIR}"/2.2.22-envvars-std.in "${S}"/support/envvars-std.in || die "Failed to apply LD_PRELOAD fix"
}
src_install() {
apache-2_src_install
systemd_newunit "${FILESDIR}/apache2.2.service" "apache2.service"
systemd_dotmpfilesd "${FILESDIR}/apache.conf"
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.2.25.ebuild,v 1.10 2013/08/08 12:36:59 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.2.25.ebuild,v 1.11 2013/11/07 14:56:35 polynomial-c Exp $
EAPI="2"
@ -107,7 +107,9 @@ RDEPEND="${RDEPEND}
# init script fixup - should be rolled into next tarball #389965
src_prepare() {
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
pushd "${GENTOO_PATCHDIR}" &>/dev/null || die
epatch "${FILESDIR}"/gentoo-apache-2.2.23-initd_fixups.patch
popd &>/dev/null || die
cp "${FILESDIR}"/2.2.22-envvars-std.in "${S}"/support/envvars-std.in || die "Failed to apply LD_PRELOAD fix"
}

@ -1,222 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.4-r3.ebuild,v 1.5 2013/06/13 01:01:13 floppym Exp $
EAPI="2"
# latest gentoo apache files
GENTOO_PATCHSTAMP="20130227"
GENTOO_DEVELOPER="patrick"
GENTOO_PATCHNAME="gentoo-apache-2.4.4"
# IUSE/USE_EXPAND magic
IUSE_MPMS_FORK="itk peruser prefork"
IUSE_MPMS_THREAD="event worker"
# << obsolete modules:
# authn_default authz_default mem_cache
# mem_cache is replaced by cache_disk
# ?? buggy modules
# proxy_scgi: startup error: undefined symbol "ap_proxy_release_connection", no fix found
# >> added modules for reason:
# compat: compatibility with 2.2 access control
# authz_host: new module for access control
# authn_core: functionality provided by authn_alias in previous versions
# authz_core: new module, provides core authorization capabilities
# cache_disk: replacement for mem_cache
# lbmethod_byrequests: Split off from mod_proxy_balancer in 2.3
# lbmethod_bytraffic: Split off from mod_proxy_balancer in 2.3
# lbmethod_bybusyness: Split off from mod_proxy_balancer in 2.3
# lbmethod_heartbeat: Split off from mod_proxy_balancer in 2.3
# slotmem_shm: Slot-based shared memory provider (for lbmethod_byrequests).
# socache_shmcb: shared object cache provider. Default config with ssl needs it
# unixd: fixes startup error: Invalid command 'User'
IUSE_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon
authn_core authn_dbd authn_dbm authn_file authz_core authz_dbm
authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk cern_meta
charset_lite cgi cgid dav dav_fs dav_lock dbd deflate dir dumpio
env expires ext_filter file_cache filter headers ident imagemap include info
lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat
log_config log_forensic logio mime mime_magic negotiation proxy
proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http proxy_scgi proxy_fcgi
rewrite ratelimit remoteip reqtimeout setenvif slotmem_shm speling socache_shmcb status substitute
unique_id userdir usertrack unixd version vhost_alias"
# The following are also in the source as of this version, but are not available
# for user selection:
# bucketeer case_filter case_filter_in echo http isapi optional_fn_export
# optional_fn_import optional_hook_export optional_hook_import
# inter-module dependencies
# TODO: this may still be incomplete
MODULE_DEPENDS="
dav_fs:dav
dav_lock:dav
deflate:filter
cache_disk:cache
ext_filter:filter
file_cache:cache
lbmethod_byrequests:proxy_balancer
lbmethod_byrequests:slotmem_shm
lbmethod_bytraffic:proxy_balancer
lbmethod_bybusyness:proxy_balancer
lbmethod_heartbeat:proxy_balancer
log_forensic:log_config
logio:log_config
cache_disk:cache
mime_magic:mime
proxy_ajp:proxy
proxy_balancer:proxy
proxy_connect:proxy
proxy_ftp:proxy
proxy_http:proxy
proxy_scgi:proxy
proxy_fcgi:proxy
substitute:filter
"
# module<->define mappings
MODULE_DEFINES="
auth_digest:AUTH_DIGEST
authnz_ldap:AUTHNZ_LDAP
cache:CACHE
cache_disk:CACHE
dav:DAV
dav_fs:DAV
dav_lock:DAV
file_cache:CACHE
info:INFO
ldap:LDAP
proxy:PROXY
proxy_ajp:PROXY
proxy_balancer:PROXY
proxy_connect:PROXY
proxy_ftp:PROXY
proxy_http:PROXY
proxy_fcgi:PROXY
socache_shmcb:SSL
ssl:SSL
status:STATUS
suexec:SUEXEC
userdir:USERDIR
"
# critical modules for the default config
MODULE_CRITICAL="
authn_core
authz_core
authz_host
dir
mime
unixd
"
# dependend criticals
use ssl && MODULE_CRITICAL+=" socache_shmcb"
use doc && MODULE_CRITICAL+=" alias negotiation setenvif"
inherit eutils apache-2 systemd
DESCRIPTION="The Apache Web Server."
HOMEPAGE="http://httpd.apache.org/"
# some helper scripts are Apache-1.1, thus both are here
LICENSE="Apache-2.0 Apache-1.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND="${DEPEND}
>=dev-libs/openssl-0.9.8m
apache2_modules_deflate? ( sys-libs/zlib )"
# dependency on >=dev-libs/apr-1.4.5 for bug #368651
RDEPEND="${RDEPEND}
>=dev-libs/apr-1.4.5
>=dev-libs/openssl-0.9.8m
apache2_modules_mime? ( app-misc/mime-types )"
# init script fixup - should be rolled into next tarball #389965
src_prepare() {
# the following patch can be removed once it is included in
# GENTOO_PATCHNAME="gentoo-apache-2.4.1" ...
if [ -f "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" ]; then
cd "${GENTOO_PATCHDIR}" || die "Failed to cd to ${GENTOO_PATCHDIR}"
epatch "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" \
|| die "epatch failed"
cd "${S}" || die "Failed to cd to ${S}"
fi
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
}
src_install() {
apache-2_src_install
for i in /usr/bin/{htdigest,logresolve,htpasswd,htdbm,ab,httxt2dbm}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man8/{rotatelogs.8,htcacheclean.8}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man1/{logresolve.1,htdbm.1,htdigest.1,htpasswd.1,dbmmanage.1,ab.1}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/sbin/{checkgid,fcgistarter,htcacheclean,rotatelogs}; do
rm "${D}/"$i || die "Failed to prune apache-tools bits"
done
# well, actually installing things makes them more installed, I guess?
cp "${S}"/support/apxs "${D}"/usr/sbin/apxs || die "Failed to install apxs"
chmod 0755 "${D}"/usr/sbin/apxs
# create dir defined in 40_mod_ssl.conf
if use ssl; then
dodir /var/run/apache_ssl_mutex || die "Failed to mkdir ssl_mutex"
fi
# Note: wait for mod_systemd to be included in the next release,
# then apache2.4.service can be used and systemd support controlled
# through --enable-systemd
systemd_newunit "${FILESDIR}/apache2.2.service" "apache2.service"
systemd_dotmpfilesd "${FILESDIR}/apache.conf"
#insinto /etc/apache2/modules.d
#doins "${FILESDIR}/00_systemd.conf"
}
pkg_postinst()
{
apache-2_pkg_postinst || die "apache-2_pkg_postinst failed"
# warnings that default config might not work out of the box
for mod in $MODULE_CRITICAL; do
if ! use "apache2_modules_${mod}"; then
echo
ewarn "Warning: Critical module not installed!"
ewarn "Modules 'authn_core', 'authz_core' and 'unixd'"
ewarn "are highly recomended but might not be in the base profile yet."
ewarn "Default config for ssl needs module 'socache_shmcb'."
ewarn "Enabling the following flags is highly recommended:"
for cmod in $MODULE_CRITICAL; do
use "apache2_modules_${cmod}" || \
ewarn "+ apache2_modules_${cmod}"
done
echo
break
fi
done
# warning for proxy_balancer and missing load balancing scheduler
if use apache2_modules_proxy_balancer; then
local lbset=
for mod in lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat; do
if use "apache2_modules_${mod}"; then
lbset=1 && break
fi
done
if [ ! $lbset ]; then
echo
ewarn "Info: Missing load balancing scheduler algorithm module"
ewarn "(They were split off from proxy_balancer in 2.3)"
ewarn "In order to get the ability of load balancing, at least"
ewarn "one of these modules has to be present:"
ewarn "lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat"
echo
fi
fi
}

@ -1,212 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.4.ebuild,v 1.6 2013/03/05 09:52:06 flameeyes Exp $
EAPI="2"
# latest gentoo apache files
GENTOO_PATCHSTAMP="20130227"
GENTOO_DEVELOPER="patrick"
#GENTOO_PATCHNAME="gentoo-apache-2.4.4"
# IUSE/USE_EXPAND magic
IUSE_MPMS_FORK="itk peruser prefork"
IUSE_MPMS_THREAD="event worker"
# << obsolete modules:
# authn_default authz_default mem_cache
# mem_cache is replaced by cache_disk
# ?? buggy modules
# proxy_scgi: startup error: undefined symbol "ap_proxy_release_connection", no fix found
# >> added modules for reason:
# compat: compatibility with 2.2 access control
# authz_host: new module for access control
# authn_core: functionality provided by authn_alias in previous versions
# authz_core: new module, provides core authorization capabilities
# cache_disk: replacement for mem_cache
# lbmethod_byrequests: Split off from mod_proxy_balancer in 2.3
# lbmethod_bytraffic: Split off from mod_proxy_balancer in 2.3
# lbmethod_bybusyness: Split off from mod_proxy_balancer in 2.3
# lbmethod_heartbeat: Split off from mod_proxy_balancer in 2.3
# slotmem_shm: Slot-based shared memory provider (for lbmethod_byrequests).
# socache_shmcb: shared object cache provider. Default config with ssl needs it
# unixd: fixes startup error: Invalid command 'User'
IUSE_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon
authn_core authn_dbd authn_dbm authn_file authz_core authz_dbm
authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk cern_meta
charset_lite cgi cgid dav dav_fs dav_lock dbd deflate dir dumpio
env expires ext_filter file_cache filter headers ident imagemap include info
lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat
log_config log_forensic logio mime mime_magic negotiation proxy
proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http proxy_scgi rewrite
reqtimeout setenvif slotmem_shm speling socache_shmcb status substitute unique_id userdir usertrack
unixd version vhost_alias"
# The following are also in the source as of this version, but are not available
# for user selection:
# bucketeer case_filter case_filter_in echo http isapi optional_fn_export
# optional_fn_import optional_hook_export optional_hook_import
# inter-module dependencies
# TODO: this may still be incomplete
MODULE_DEPENDS="
dav_fs:dav
dav_lock:dav
deflate:filter
cache_disk:cache
ext_filter:filter
file_cache:cache
lbmethod_byrequests:proxy_balancer
lbmethod_byrequests:slotmem_shm
lbmethod_bytraffic:proxy_balancer
lbmethod_bybusyness:proxy_balancer
lbmethod_heartbeat:proxy_balancer
log_forensic:log_config
logio:log_config
cache_disk:cache
mime_magic:mime
proxy_ajp:proxy
proxy_balancer:proxy
proxy_connect:proxy
proxy_ftp:proxy
proxy_http:proxy
proxy_scgi:proxy
substitute:filter
"
# module<->define mappings
MODULE_DEFINES="
auth_digest:AUTH_DIGEST
authnz_ldap:AUTHNZ_LDAP
cache:CACHE
cache_disk:CACHE
dav:DAV
dav_fs:DAV
dav_lock:DAV
file_cache:CACHE
info:INFO
ldap:LDAP
proxy:PROXY
proxy_ajp:PROXY
proxy_balancer:PROXY
proxy_connect:PROXY
proxy_ftp:PROXY
proxy_http:PROXY
socache_shmcb:SSL
ssl:SSL
status:STATUS
suexec:SUEXEC
userdir:USERDIR
"
# critical modules for the default config
MODULE_CRITICAL="
authn_core
authz_core
authz_host
dir
mime
unixd
"
# dependend criticals
use ssl && MODULE_CRITICAL+=" socache_shmcb"
use doc && MODULE_CRITICAL+=" alias negotiation setenvif"
inherit eutils apache-2
DESCRIPTION="The Apache Web Server."
HOMEPAGE="http://httpd.apache.org/"
# some helper scripts are Apache-1.1, thus both are here
LICENSE="Apache-2.0 Apache-1.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND="${DEPEND}
>=dev-libs/openssl-0.9.8m
apache2_modules_deflate? ( sys-libs/zlib )"
# dependency on >=dev-libs/apr-1.4.5 for bug #368651
RDEPEND="${RDEPEND}
>=dev-libs/apr-1.4.5
>=dev-libs/openssl-0.9.8m
apache2_modules_mime? ( app-misc/mime-types )"
# init script fixup - should be rolled into next tarball #389965
src_prepare() {
# the following patch can be removed once it is included in
# GENTOO_PATCHNAME="gentoo-apache-2.4.1" ...
if [ -f "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" ]; then
cd "${GENTOO_PATCHDIR}" || die "Failed to cd to ${GENTOO_PATCHDIR}"
epatch "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" \
|| die "epatch failed"
cd "${S}" || die "Failed to cd to ${S}"
fi
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
}
src_install() {
apache-2_src_install
for i in /usr/bin/{htdigest,logresolve,htpasswd,htdbm,ab,httxt2dbm}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man8/{rotatelogs.8,htcacheclean.8}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man1/{logresolve.1,htdbm.1,htdigest.1,htpasswd.1,dbmmanage.1,ab.1}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/sbin/{checkgid,fcgistarter,htcacheclean,rotatelogs}; do
rm "${D}/"$i || die "Failed to prune apache-tools bits"
done
# well, actually installing things makes them more installed, I guess?
cp "${S}"/support/apxs "${D}"/usr/sbin/apxs || die "Failed to install apxs"
chmod 0755 "${D}"/usr/sbin/apxs
# create dir defined in 40_mod_ssl.conf
if use ssl; then
dodir /var/run/apache_ssl_mutex || die "Failed to mkdir ssl_mutex"
fi
}
pkg_postinst()
{
apache-2_pkg_postinst || die "apache-2_pkg_postinst failed"
# warnings that default config might not work out of the box
for mod in $MODULE_CRITICAL; do
if ! use "apache2_modules_${mod}"; then
echo
ewarn "Warning: Critical module not installed!"
ewarn "Modules 'authn_core', 'authz_core' and 'unixd'"
ewarn "are highly recomended but might not be in the base profile yet."
ewarn "Default config for ssl needs module 'socache_shmcb'."
ewarn "Enabling the following flags is highly recommended:"
for cmod in $MODULE_CRITICAL; do
use "apache2_modules_${cmod}" || \
ewarn "+ apache2_modules_${cmod}"
done
echo
break
fi
done
# warning for proxy_balancer and missing load balancing scheduler
if use apache2_modules_proxy_balancer; then
local lbset=
for mod in lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat; do
if use "apache2_modules_${mod}"; then
lbset=1 && break
fi
done
if [ ! $lbset ]; then
echo
ewarn "Info: Missing load balancing scheduler algorithm module"
ewarn "(They were split off from proxy_balancer in 2.3)"
ewarn "In order to get the ability of load balancing, at least"
ewarn "one of these modules has to be present:"
ewarn "lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat"
echo
fi
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.6-r1.ebuild,v 1.2 2013/07/28 01:39:37 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.6-r1.ebuild,v 1.3 2013/11/07 14:56:35 polynomial-c Exp $
EAPI="2"
@ -145,7 +145,9 @@ src_prepare() {
cd "${S}" || die "Failed to cd to ${S}"
fi
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
pushd "${GENTOO_PATCHDIR}" &>/dev/null || die
epatch "${FILESDIR}"/gentoo-apache-2.2.23-initd_fixups.patch
popd &>/dev/null || die
}
src_install() {

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.6-r2.ebuild,v 1.1 2013/08/01 07:16:18 kensington Exp $
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.6-r2.ebuild,v 1.2 2013/11/07 14:56:35 polynomial-c Exp $
EAPI="2"
@ -145,7 +145,9 @@ src_prepare() {
cd "${S}" || die "Failed to cd to ${S}"
fi
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
pushd "${GENTOO_PATCHDIR}" &>/dev/null || die
epatch "${FILESDIR}"/gentoo-apache-2.2.23-initd_fixups.patch
popd &>/dev/null || die
}
src_install() {

@ -1,222 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/apache/apache-2.4.6.ebuild,v 1.1 2013/07/22 03:57:12 patrick Exp $
EAPI="2"
# latest gentoo apache files
GENTOO_PATCHSTAMP="20130227"
GENTOO_DEVELOPER="patrick"
GENTOO_PATCHNAME="gentoo-apache-2.4.4"
# IUSE/USE_EXPAND magic
IUSE_MPMS_FORK="itk peruser prefork"
IUSE_MPMS_THREAD="event worker"
# << obsolete modules:
# authn_default authz_default mem_cache
# mem_cache is replaced by cache_disk
# ?? buggy modules
# proxy_scgi: startup error: undefined symbol "ap_proxy_release_connection", no fix found
# >> added modules for reason:
# compat: compatibility with 2.2 access control
# authz_host: new module for access control
# authn_core: functionality provided by authn_alias in previous versions
# authz_core: new module, provides core authorization capabilities
# cache_disk: replacement for mem_cache
# lbmethod_byrequests: Split off from mod_proxy_balancer in 2.3
# lbmethod_bytraffic: Split off from mod_proxy_balancer in 2.3
# lbmethod_bybusyness: Split off from mod_proxy_balancer in 2.3
# lbmethod_heartbeat: Split off from mod_proxy_balancer in 2.3
# slotmem_shm: Slot-based shared memory provider (for lbmethod_byrequests).
# socache_shmcb: shared object cache provider. Default config with ssl needs it
# unixd: fixes startup error: Invalid command 'User'
IUSE_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon
authn_core authn_dbd authn_dbm authn_file authz_core authz_dbm
authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk cern_meta
charset_lite cgi cgid dav dav_fs dav_lock dbd deflate dir dumpio
env expires ext_filter file_cache filter headers ident imagemap include info
lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat
log_config log_forensic logio mime mime_magic negotiation proxy
proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http proxy_scgi proxy_fcgi
rewrite ratelimit remoteip reqtimeout setenvif slotmem_shm speling socache_shmcb status substitute
unique_id userdir usertrack unixd version vhost_alias"
# The following are also in the source as of this version, but are not available
# for user selection:
# bucketeer case_filter case_filter_in echo http isapi optional_fn_export
# optional_fn_import optional_hook_export optional_hook_import
# inter-module dependencies
# TODO: this may still be incomplete
MODULE_DEPENDS="
dav_fs:dav
dav_lock:dav
deflate:filter
cache_disk:cache
ext_filter:filter
file_cache:cache
lbmethod_byrequests:proxy_balancer
lbmethod_byrequests:slotmem_shm
lbmethod_bytraffic:proxy_balancer
lbmethod_bybusyness:proxy_balancer
lbmethod_heartbeat:proxy_balancer
log_forensic:log_config
logio:log_config
cache_disk:cache
mime_magic:mime
proxy_ajp:proxy
proxy_balancer:proxy
proxy_connect:proxy
proxy_ftp:proxy
proxy_http:proxy
proxy_scgi:proxy
proxy_fcgi:proxy
substitute:filter
"
# module<->define mappings
MODULE_DEFINES="
auth_digest:AUTH_DIGEST
authnz_ldap:AUTHNZ_LDAP
cache:CACHE
cache_disk:CACHE
dav:DAV
dav_fs:DAV
dav_lock:DAV
file_cache:CACHE
info:INFO
ldap:LDAP
proxy:PROXY
proxy_ajp:PROXY
proxy_balancer:PROXY
proxy_connect:PROXY
proxy_ftp:PROXY
proxy_http:PROXY
proxy_fcgi:PROXY
socache_shmcb:SSL
ssl:SSL
status:STATUS
suexec:SUEXEC
userdir:USERDIR
"
# critical modules for the default config
MODULE_CRITICAL="
authn_core
authz_core
authz_host
dir
mime
unixd
"
# dependend criticals
use ssl && MODULE_CRITICAL+=" socache_shmcb"
use doc && MODULE_CRITICAL+=" alias negotiation setenvif"
inherit eutils apache-2 systemd
DESCRIPTION="The Apache Web Server."
HOMEPAGE="http://httpd.apache.org/"
# some helper scripts are Apache-1.1, thus both are here
LICENSE="Apache-2.0 Apache-1.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND="${DEPEND}
>=dev-libs/openssl-0.9.8m
apache2_modules_deflate? ( sys-libs/zlib )"
# dependency on >=dev-libs/apr-1.4.5 for bug #368651
RDEPEND="${RDEPEND}
>=dev-libs/apr-1.4.5
>=dev-libs/openssl-0.9.8m
apache2_modules_mime? ( app-misc/mime-types )"
# init script fixup - should be rolled into next tarball #389965
src_prepare() {
# the following patch can be removed once it is included in
# GENTOO_PATCHNAME="gentoo-apache-2.4.1" ...
if [ -f "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" ]; then
cd "${GENTOO_PATCHDIR}" || die "Failed to cd to ${GENTOO_PATCHDIR}"
epatch "${FILESDIR}/${GENTOO_PATCHNAME}-${GENTOO_DEVELOPER}-${GENTOO_PATCHSTAMP}-${PVR}.patch" \
|| die "epatch failed"
cd "${S}" || die "Failed to cd to ${S}"
fi
apache-2_src_prepare
sed -i -e 's/! test -f/test -f/' "${GENTOO_PATCHDIR}"/init/apache2.initd || die "Failed to fix init script"
}
src_install() {
apache-2_src_install
for i in /usr/bin/{htdigest,logresolve,htpasswd,htdbm,ab,httxt2dbm}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man8/{rotatelogs.8,htcacheclean.8}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/share/man/man1/{logresolve.1,htdbm.1,htdigest.1,htpasswd.1,dbmmanage.1,ab.1}; do
rm "${D}"/$i || die "Failed to prune apache-tools bits"
done
for i in /usr/sbin/{checkgid,fcgistarter,htcacheclean,rotatelogs}; do
rm "${D}/"$i || die "Failed to prune apache-tools bits"
done
# well, actually installing things makes them more installed, I guess?
cp "${S}"/support/apxs "${D}"/usr/sbin/apxs || die "Failed to install apxs"
chmod 0755 "${D}"/usr/sbin/apxs
# create dir defined in 40_mod_ssl.conf
if use ssl; then
dodir /var/run/apache_ssl_mutex || die "Failed to mkdir ssl_mutex"
fi
# Note: wait for mod_systemd to be included in the next release,
# then apache2.4.service can be used and systemd support controlled
# through --enable-systemd
systemd_newunit "${FILESDIR}/apache2.2.service" "apache2.service"
systemd_dotmpfilesd "${FILESDIR}/apache.conf"
#insinto /etc/apache2/modules.d
#doins "${FILESDIR}/00_systemd.conf"
}
pkg_postinst()
{
apache-2_pkg_postinst || die "apache-2_pkg_postinst failed"
# warnings that default config might not work out of the box
for mod in $MODULE_CRITICAL; do
if ! use "apache2_modules_${mod}"; then
echo
ewarn "Warning: Critical module not installed!"
ewarn "Modules 'authn_core', 'authz_core' and 'unixd'"
ewarn "are highly recomended but might not be in the base profile yet."
ewarn "Default config for ssl needs module 'socache_shmcb'."
ewarn "Enabling the following flags is highly recommended:"
for cmod in $MODULE_CRITICAL; do
use "apache2_modules_${cmod}" || \
ewarn "+ apache2_modules_${cmod}"
done
echo
break
fi
done
# warning for proxy_balancer and missing load balancing scheduler
if use apache2_modules_proxy_balancer; then
local lbset=
for mod in lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat; do
if use "apache2_modules_${mod}"; then
lbset=1 && break
fi
done
if [ ! $lbset ]; then
echo
ewarn "Info: Missing load balancing scheduler algorithm module"
ewarn "(They were split off from proxy_balancer in 2.3)"
ewarn "In order to get the ability of load balancing, at least"
ewarn "one of these modules has to be present:"
ewarn "lbmethod_byrequests lbmethod_bytraffic lbmethod_bybusyness lbmethod_heartbeat"
echo
fi
fi
}

@ -0,0 +1,40 @@
Make the init script recognize failed start and stop more reliably.
2013-11-07 - Lars Wendler <polynomial-c@gentoo.org>
--- gentoo-apache-2.2.23/init/apache2.initd
+++ gentoo-apache-2.2.23/init/apache2.initd
@@ -77,12 +77,13 @@
# Use start stop daemon to apply system limits #347301
start-stop-daemon --start -- ${APACHE2} ${APACHE2_OPTS} -k start
- i=0
+ local i=0 retval=1
while [ ! -e "${PIDFILE}" ] && [ $i -lt ${TIMEOUT} ]; do
sleep 1 && i=$(expr $i + 1)
+ [ -e "${PIDFILE}" ] && retval=0
done
- eend $(test $i -lt ${TIMEOUT})
+ eend ${retval}
}
stop() {
@@ -101,13 +102,14 @@
ebegin "Stopping ${SVCNAME}"
${APACHE2} ${APACHE2_OPTS} -k stop
- i=0
- while ( ! test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
+ local i=0 retval=0
+ while ( test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
&& [ $i -lt ${TIMEOUT} ]; do
sleep 1 && i=$(expr $i + 1)
done
+ [ -e "${PIDFILE}" ] && retval=1
- eend $(test $i -lt ${TIMEOUT})
+ eend ${retval}
}
reload() {
Loading…
Cancel
Save